#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31102588, "kmem_cache_free" },
	{ 0x38f2d94e, "ceph_file_to_extents" },
	{ 0xeef6cfa3, "ceph_iterate_extents" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x54ef206d, "ceph_cls_lock_info" },
	{ 0xf254297e, "ceph_addr_is_blank" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0xa698f998, "ceph_free_lockers" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0xdca2da02, "osd_req_op_extent_osd_data_pages" },
	{ 0x804df806, "ceph_osdc_wait_request" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x1f4510a1, "osd_req_op_raw_data_in_pages" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xa6257a2f, "complete" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xa408dda5, "blk_mq_end_request" },
	{ 0xc2d41f24, "blk_mq_start_request" },
	{ 0xa5cc7c2c, "set_capacity_and_notify" },
	{ 0xec87d13e, "ceph_cls_lock" },
	{ 0xfaccc4fe, "ceph_osdc_list_watchers" },
	{ 0xb8128e94, "ceph_monc_blocklist_add" },
	{ 0x2c4572ef, "ceph_cls_break_lock" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x865be643, "ceph_cls_set_cookie" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1057a279, "bsearch" },
	{ 0xa9c852a0, "try_module_get" },
	{ 0xc29bf967, "strspn" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x154c964d, "ceph_parse_mon_ips" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd7e110a9, "ceph_compare_options" },
	{ 0xbb3e2739, "ceph_wait_for_latest_osdmap" },
	{ 0x4cad6f0, "ceph_pg_poolid_by_name" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4c26fcc4, "__module_get" },
	{ 0xd9b35089, "set_capacity" },
	{ 0x590657a0, "set_disk_ro" },
	{ 0xe08c96b9, "dev_set_name" },
	{ 0x6491c57c, "device_add" },
	{ 0xcba9edd5, "ceph_create_client" },
	{ 0xc1831abf, "ceph_open_session" },
	{ 0x349cba85, "strchr" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x3617ddb0, "ceph_parse_param" },
	{ 0xde25a7c9, "device_add_disk" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x59f56ccd, "__fs_parse" },
	{ 0xafff8292, "logfc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x68c4d3d3, "fs_param_is_u32" },
	{ 0x9f5b6208, "fs_param_is_enum" },
	{ 0xda6bb9f4, "fs_param_is_string" },
	{ 0xff1e5284, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37a0cba, "kfree" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3cccf4eb, "ceph_client_gid" },
	{ 0x8d5c3dc, "ceph_client_addr" },
	{ 0x66d4faed, "osd_req_op_extent_osd_data_bvec_pos" },
	{ 0x1236c4bf, "osd_req_op_extent_osd_data_bio" },
	{ 0xca80437b, "ceph_extent_to_file" },
	{ 0xbcb2a83f, "osd_req_op_alloc_hint_init" },
	{ 0xb91f4855, "osd_req_op_extent_init" },
	{ 0xf7c6e342, "osd_req_op_init" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc91314, "get_device" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xede68500, "blk_mq_alloc_tag_set" },
	{ 0xf70a32c3, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x585d1aa5, "blk_mq_free_tag_set" },
	{ 0x675241d, "kmem_cache_destroy" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0x6dc1a93d, "__kmem_cache_create_args" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xffe48170, "device_register" },
	{ 0x3440d50f, "put_device" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xf9f98102, "bus_register" },
	{ 0x90b9714a, "device_unregister" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x8862ce6c, "bus_unregister" },
	{ 0xeef38c9f, "alloc_pages_noprof" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe98e7543, "ceph_osdc_call" },
	{ 0x3ebfc460, "__free_pages" },
	{ 0xdcb3ab9c, "put_disk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x368bf776, "ceph_cls_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x754d539c, "strlen" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x89c0b2f0, "device_initialize" },
	{ 0xb28753a6, "ceph_osdc_alloc_request" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x5aeeee62, "ceph_oid_aprintf" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x44e88348, "osd_req_op_cls_init" },
	{ 0x56207eba, "ceph_alloc_page_vector" },
	{ 0x22bdc59f, "osd_req_op_cls_request_data_pages" },
	{ 0x292e2528, "ceph_osdc_alloc_messages" },
	{ 0xd2272820, "ceph_osdc_start_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8dd909d9, "ceph_cls_assert_locked" },
	{ 0x3c8d7111, "ceph_get_num_objects" },
	{ 0xad637b16, "ceph_release_page_vector" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb09ac04f, "ceph_copy_from_page_vector" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x32619c84, "ceph_osdc_notify_ack" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x855abc85, "ceph_osdc_watch" },
	{ 0x283ca9df, "ceph_osdc_unwatch" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x976d06ef, "ceph_destroy_client" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2101cbc9, "ceph_oid_destroy" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xffb7c514, "ida_free" },
	{ 0xca293b2a, "module_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x792bda2, "ceph_osdc_flush_notifies" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x207ee30e, "blk_mq_freeze_queue" },
	{ 0xd5af6e4a, "blk_mark_disk_dead" },
	{ 0xe30762ae, "blk_mq_unfreeze_queue" },
	{ 0x4eda459, "del_gendisk" },
	{ 0x6a4f5431, "device_del" },
	{ 0xc1ed7d8, "ceph_osdc_notify" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x784032bc, "osd_req_op_cls_request_data_bvecs" },
	{ 0xb358130e, "kmem_cache_alloc_noprof" },
	{ 0x325eaab2, "ceph_osdc_put_request" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "libceph");


MODULE_INFO(srcversion, "6645D4D0899056AE288A9F7");
