#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0xbc8bf0c0, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0x31cf5881, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0x08c0d5f6, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0x375bc2fd, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0x0c550abd, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0x94ddb478, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0xf3953c5d, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0xe6f89a2c, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x30c3e2b4, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0xea1b8963, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0xff0168b1, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0x3672b7fe, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0x8e2c6e54, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0x65782db1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x322e28fc, "request_firmware" },
	{ 0x718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x26fd7e35, "__hci_cmd_sync" },
	{ 0xe2081ad1, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x557e92ce, "hci_cmd_sync_queue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3d7ff298, "hci_devcd_register" },
	{ 0xc0bfad78, "__hci_cmd_send" },
	{ 0xce1aecdc, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x50a1f2fe, "usb_anchor_urb" },
	{ 0x277b35cc, "usb_submit_urb" },
	{ 0xabc455c2, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x211a4b7a, "usb_unanchor_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4304a8ea, "usb_autopm_get_interface" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0xbafc0f71, "usb_autopm_put_interface" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x37a0cba, "kfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa8d7b9c, "hci_devcd_append" },
	{ 0x537a5249, "hci_devcd_complete" },
	{ 0xbbc126cc, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d316ac4, "usb_disable_autosuspend" },
	{ 0x724e1d95, "skb_clone" },
	{ 0xab6b405b, "hci_recv_diag" },
	{ 0x5292de97, "hci_recv_frame" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x25496a63, "__alloc_skb" },
	{ 0x6ca9d8f8, "skb_put" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x4aee5b86, "__skb_pad" },
	{ 0x4c85ac13, "usb_control_msg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb7d834c, "usb_set_interface" },
	{ 0x13e54be8, "hci_cmd_sync_cancel" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "18AEEA470BA8CE7E5CC61C9");
