#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xf853462b, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x4e10065e, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xa4e4bb35, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x7e1f05ca, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x622f5dbd, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x88242118, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0xcfd89b92, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0xddb37fe8, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xcdc8f642, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x15f6f441, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x8c4d0b5d, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x8d1f101c, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x64b5184f, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xb5369a73, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xbe293e12, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x4328e328, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xbddb0735, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x3f4e5dd3, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x71d59d8e, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xeebd16ac, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xb34da26f, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x9d7f28f9, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x8172ab21, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xcaea192b, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xb5f3be86, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0xe4217ac6, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0xa4c7d9ae, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0xd96cb778, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0xdefd9ce6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0x86b1119a, "regmap_raw_write" },
	{ 0x1cdb8245, "regmap_raw_read" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0x209bc8e2, "regmap_read" },
	{ 0xc9736df1, "_dev_info" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xf35548cd, "regmap_update_bits_base" },
	{ 0xc8fca00b, "regmap_write" },
	{ 0x69561b10, "regmap_multi_reg_write" },
	{ 0x32a1d56c, "regmap_bulk_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe7ca7180, "devm_kasprintf" },
	{ 0xb8ce1457, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x8c5d2c14, "regmap_async_complete" },
	{ 0x6228818, "regmap_raw_write_async" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x3cf12c71, "devm_kfree" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3f5e7c65, "seq_lseek" },
	{ 0x662a44f3, "seq_read" },
	{ 0x64d99ed7, "single_release" },
	{ 0xb757a9f5, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69fe49cc, "debugfs_create_dir" },
	{ 0xed85e529, "debugfs_create_bool" },
	{ 0x2c519804, "debugfs_create_x32" },
	{ 0xca7568bd, "debugfs_create_file_full" },
	{ 0x2261b3a3, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0xc5ccd9d5, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D3335C5B83ACB9828F50E7B");
