#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x84dd7a6b, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xb25c4b85, "");
SYMBOL_CRC(ib_cm_listen, 0x8900a1ff, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x921db83f, "");
SYMBOL_CRC(ib_send_cm_req, 0x4d10ca63, "");
SYMBOL_CRC(ib_send_cm_rep, 0x28a83097, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x477cfcd5, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xd54b66c0, "");
SYMBOL_CRC(ib_send_cm_drep, 0x5a4a9074, "");
SYMBOL_CRC(ib_send_cm_rej, 0x926fe5b1, "");
SYMBOL_CRC(ib_send_cm_mra, 0x7fe9307a, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xa9f23ba3, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x3eebe90f, "");
SYMBOL_CRC(ib_cm_notify, 0xed6a5a4f, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x08deeeae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0x69a1eec2, "trace_event_buffer_commit" },
	{ 0x6a44cb84, "rdma_create_ah" },
	{ 0xf00aea69, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x552d4e62, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x51249042, "ib_register_client" },
	{ 0xf596a041, "ib_unregister_mad_agent" },
	{ 0x59eeb82, "ib_post_send_mad" },
	{ 0x91d87cf4, "ib_create_send_mad" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1495b825, "perf_trace_run_bpf_submit" },
	{ 0xd046594f, "rdma_destroy_ah_attr" },
	{ 0xeba0498, "ib_set_client_data" },
	{ 0x968f842, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x90d60330, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xde1a032d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x871f0fcb, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc381b252, "rdma_destroy_ah_user" },
	{ 0xdd6a8e3b, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xf7019a9d, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x37996386, "bpf_trace_run3" },
	{ 0x9af24da, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x81c6f07f, "trace_event_buffer_reserve" },
	{ 0x9486e74c, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x64775dc0, "ib_free_recv_mad" },
	{ 0xcf0615c4, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x56e28421, "ib_modify_mad" },
	{ 0x5caaa1d6, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x3672fab8, "ib_unregister_client" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc62a1cff, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xd718f607, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe0b0e47e, "__trace_trigger_soft_disabled" },
	{ 0x38db4473, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbd2fb9b0, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x11b749f7, "rdma_query_gid" },
	{ 0xbdcbf8e, "ib_port_register_client_groups" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0x9d8aad7d, "ib_modify_port" },
	{ 0xfc5d2a3b, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "5A020176EE6C7536154027B");
