#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xc4040de1, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x268a8d50, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xb2229829, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x5e7c2258, "");
SYMBOL_CRC(mpt_halt_firmware, 0x45b8e35c, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x0071e423, "");
SYMBOL_CRC(mpt_attach, 0xb793d032, "");
SYMBOL_CRC(mpt_detach, 0xbeaeae79, "");
SYMBOL_CRC(mpt_resume, 0xabb65527, "");
SYMBOL_CRC(mpt_suspend, 0x991916df, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x4b723e63, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xd42d4d63, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x08938411, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x518d0978, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x2e544e1b, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x57eebb9a, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x6f32f70a, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xe0622785, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x76fe5ffa, "");
SYMBOL_CRC(mpt_verify_adapter, 0x76d1c9b7, "");
SYMBOL_CRC(mpt_GetIocState, 0xacecfa47, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0xd6f77ca8, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xd85c1545, "");
SYMBOL_CRC(mpt_config, 0xee5b014a, "");
SYMBOL_CRC(mpt_findImVolumes, 0xcd26ae66, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xaed6f17e, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x3472b5bb, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xbad8f637, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x4a3f2869, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x92997ed8, "_printk" },
	{ 0xc5ccd9d5, "seq_printf" },
	{ 0xbf5751dd, "pci_stop_and_remove_bus_device_locked" },
	{ 0xfbc6dd55, "dma_alloc_attrs" },
	{ 0xa781e190, "dma_free_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x351d6d78, "pci_select_bars" },
	{ 0x8e22e60d, "pci_enable_device_mem" },
	{ 0xc8e6ec74, "pci_request_selected_regions" },
	{ 0x3f16671e, "dma_get_required_mask" },
	{ 0x18229c30, "dma_set_mask" },
	{ 0x213bf912, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x45f0591d, "pci_release_selected_regions" },
	{ 0x64d79c02, "pci_disable_device" },
	{ 0xc2ef1d43, "remove_proc_entry" },
	{ 0xf1e046cc, "panic" },
	{ 0xa96f4042, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6257a2f, "complete" },
	{ 0x9e81e32d, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x55ef1432, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa5b62a69, "pci_disable_msi" },
	{ 0xb0f7ef83, "pci_save_state" },
	{ 0x28394b46, "pci_set_power_state" },
	{ 0x50c4e47b, "proc_mkdir" },
	{ 0xb57fa087, "proc_create_single_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x44b3940f, "pci_read_config_word" },
	{ 0x785b7dff, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb256d4ea, "pci_enable_device" },
	{ 0x182b8814, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1863b0a9, "pci_set_master" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x553feecd, "kthread_create_on_node" },
	{ 0xf14ff817, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xef3e59c4, "pci_read_config_byte" },
	{ 0x64418a6c, "pci_write_config_byte" },
	{ 0x1b04b18f, "pci_get_slot" },
	{ 0xe790836e, "pci_dev_put" },
	{ 0x845a2891, "pci_enable_wake" },
	{ 0x685dbe6f, "pci_restore_state" },
	{ 0x1ecdafc8, "param_ops_int" },
	{ 0xe3f74ae2, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");
