#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0xe391a938, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x040fc2af, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0xd74dea95, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0xb34170e6, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0xb6583094, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x179f03a8, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xbb932fe9, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x4bee0ecb, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x59564fe9, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0xf80f9fa4, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xbdef5d90, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x84540296, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x556eec53, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x1f016640, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf14ff817, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6d737b91, "device_set_node" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x7f619ef4, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3440d50f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xca513856, "const_pcpu_hot" },
	{ 0xede66a6e, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0xca293b2a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x99eeaa40, "compat_ptr_ioctl" },
	{ 0xf8dc0fbc, "cdev_add" },
	{ 0x37c05ee8, "mtd_block_markbad" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb757a9f5, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd1b3f7af, "unregister_mtd_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x31102588, "kmem_cache_free" },
	{ 0xb8ce1457, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xee92d0b7, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd8af2105, "put_mtd_device" },
	{ 0xc62d5aa6, "register_mtd_user" },
	{ 0x5dcfb5a7, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc96121f4, "mtd_read" },
	{ 0x697f59c5, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf2c94089, "freezing_slow_path" },
	{ 0xffe48170, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x92ace350, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x37b860d5, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb358130e, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x6dc1a93d, "__kmem_cache_create_args" },
	{ 0xe00888ed, "mtd_erase" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x553feecd, "kthread_create_on_node" },
	{ 0x662a44f3, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x55ca7d87, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1bfc9167, "fwnode_property_read_string" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8b5997f1, "device_get_named_child_node" },
	{ 0xd3b500b9, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5ccd9d5, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xca7568bd, "debugfs_create_file_full" },
	{ 0xf518823d, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xee1c8a69, "seq_open" },
	{ 0x754d539c, "strlen" },
	{ 0x69fe49cc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4cdbf94b, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x2efe866c, "class_register" },
	{ 0x8961d571, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x6c0dbf0a, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x675241d, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0xa9c852a0, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x62bef22a, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc27457b0, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe08c96b9, "dev_set_name" },
	{ 0x30ba2de9, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe700bbec, "cdev_device_del" },
	{ 0x90b9714a, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x89c0b2f0, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x3f5e7c65, "seq_lseek" },
	{ 0x3d74ca7d, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc91314, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xaa25c5b, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x66d598e3, "path_put" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x53b303ae, "get_mtd_device" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "92269666B35E181A747B9B1");
