#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x1f62e1b6, "");
SYMBOL_CRC(ath11k_core_resume, 0x4b29050b, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x7accff70, "");
SYMBOL_CRC(ath11k_core_init, 0xa4198464, "");
SYMBOL_CRC(ath11k_core_deinit, 0x90e98fae, "");
SYMBOL_CRC(ath11k_core_free, 0x7b02f9d9, "");
SYMBOL_CRC(ath11k_core_alloc, 0x24a66e30, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x082e308c, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x8bff1ab2, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x9ccb960e, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x9c2bcb62, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x58288e24, "");
SYMBOL_CRC(ath11k_info, 0xf2b6db13, "");
SYMBOL_CRC(ath11k_err, 0xe564438b, "");
SYMBOL_CRC(ath11k_warn, 0x16166e2b, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x44564304, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x2b5e1223, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x9515edde, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x6a75699d, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x6fab5e53, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0xdaf5b569, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xb3803d8d, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x48384ccf, "");
SYMBOL_CRC(ath11k_pcic_write32, 0xc8e2a1b4, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x7e395581, "");
SYMBOL_CRC(ath11k_pcic_read, 0x843a7375, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x9d4fd9f9, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x486d1c4e, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0xf4fadc01, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xcb9b1a45, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x3f66e792, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x8427b604, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x4bb8ad74, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x91abe2f5, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0xe34cd7ae, "");
SYMBOL_CRC(ath11k_pcic_stop, 0xec3fd8cf, "");
SYMBOL_CRC(ath11k_pcic_start, 0x959dbf85, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xf58eaf5c, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x8654bfa8, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xcb614cd2, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x68c0c97b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xebf6fe05, "ieee80211_wake_queues" },
	{ 0x25c61611, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5823fba3, "qmi_txn_init" },
	{ 0x9a2fccf3, "ieee80211_report_low_ack" },
	{ 0xff7c626a, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe497123, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd316193b, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x526eece2, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe4f5615, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x4c696642, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x724340dc, "ieee80211_beacon_free_ema_list" },
	{ 0xcd86ee67, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x48cb7594, "ieee80211_ready_on_channel" },
	{ 0x1801efb9, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc2cbb14a, "skb_trim" },
	{ 0x110a681b, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15cdac5d, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7989a8a3, "ieee80211_vif_to_wdev" },
	{ 0xec2a168b, "alloc_netdev_dummy" },
	{ 0xa781e190, "dma_free_attrs" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xeb589c9c, "ieee80211_scan_completed" },
	{ 0x74e6d17e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x41047d66, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff1e5284, "param_ops_bool" },
	{ 0x7e24f29f, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x2e5f02db, "ieee80211_color_change_finish" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf47b5a4, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c1b6b53, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xfd78b2cd, "ieee80211_queue_work" },
	{ 0xa2306e28, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x85298ef6, "napi_disable" },
	{ 0xb43ae6ff, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xda4fc37c, "regulatory_set_wiphy_regd" },
	{ 0xbaa3625d, "cfg80211_chandef_dfs_cac_time" },
	{ 0xbcc94d14, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdebf6513, "ieee80211_beacon_get_template_ema_list" },
	{ 0xf2dfc61f, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xc1c7a4ad, "__cfg80211_get_bss" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x758289, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8f5db72a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd4ff20ee, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb9f54167, "ieee80211_gtk_rekey_notify" },
	{ 0xb3f34af6, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x1e54b2c3, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe47905a8, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x46377933, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8b6cb4a4, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6ca9d8f8, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x22877328, "firmware_request_nowarn" },
	{ 0xe0386abb, "qmi_handle_init" },
	{ 0x3622cef, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x67ac2ae0, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb32a1a8a, "device_get_mac_address" },
	{ 0xa80b8df0, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf6319f69, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1ab41650, "ieee80211_free_hw" },
	{ 0x253fa4a3, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xcb75d0b8, "ieee80211_iterate_stations_atomic" },
	{ 0x51eaace, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x57203658, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32ce34a8, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xe5c76d2, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0xc2e6143b, "thermal_cooling_device_register" },
	{ 0x6fb1e10e, "ieee80211_register_hw" },
	{ 0xed40fe12, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x65628401, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x48830c78, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc48725b6, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc6bea778, "pskb_expand_head" },
	{ 0x71a8ddb7, "dev_driver_string" },
	{ 0x3660cd70, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd10082de, "ieee80211_find_sta" },
	{ 0xf672d45f, "dma_map_page_attrs" },
	{ 0x7265fabf, "qmi_send_request" },
	{ 0x5581f5ed, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xd373aec2, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x386178fa, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x8a35855e, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x1caecfe0, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7a4333e, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf31d0a51, "qmi_txn_wait" },
	{ 0xc9736df1, "_dev_info" },
	{ 0x76456a70, "skb_queue_tail" },
	{ 0xa4da7b72, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x976247cb, "sysfs_create_link" },
	{ 0x20076b4a, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x92331a8a, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xaf5af56b, "__skb_get_hash_net" },
	{ 0xde301dda, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x994b6908, "ieee80211_queue_delayed_work" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0x4f2b4ddf, "crypto_shash_setkey" },
	{ 0xcd2cacab, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x988b1a04, "qmi_txn_cancel" },
	{ 0xde017327, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe2081ad1, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1da66889, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3ab1c7d2, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaf98b3e9, "skb_push" },
	{ 0xfbc6dd55, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x3e5592af, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xde71368, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "6A5C8B71ABC2E0017E19E1E");
