#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0xb9396d20, "");
SYMBOL_CRC(ndlc_close, 0x50203ba0, "");
SYMBOL_CRC(ndlc_send, 0x72ddb501, "");
SYMBOL_CRC(ndlc_recv, 0xb9862252, "");
SYMBOL_CRC(ndlc_probe, 0x9c7b60c6, "");
SYMBOL_CRC(ndlc_remove, 0x5e92db12, "");
SYMBOL_CRC(st_nci_probe, 0x840829a9, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xf92fc0f2, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x45d42754, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x65f6c605, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x23c2c2c7, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x572a3914, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x161550d0, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x6468c66b, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x97322a3c, "");
SYMBOL_CRC(st_nci_se_init, 0x8d57ddbf, "");
SYMBOL_CRC(st_nci_se_deinit, 0x17113799, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x0985299d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76456a70, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5a30b90b, "nfc_se_transaction" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0xcd2cacab, "skb_pull" },
	{ 0xad43a7ca, "nci_hci_connect_gate" },
	{ 0xe2081ad1, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaf98b3e9, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x5d23dc24, "nci_prop_cmd" },
	{ 0xab7f36d2, "nci_core_conn_create" },
	{ 0x8761c758, "nci_nfcc_loopback" },
	{ 0xf3276475, "nci_unregister_device" },
	{ 0x5d485b, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1046bfd, "nci_hci_send_event" },
	{ 0xad5a68ea, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5711250, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd330f83f, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x9371eda0, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8fc1a7ef, "nci_recv_frame" },
	{ 0x449a42b3, "nci_hci_dev_session_init" },
	{ 0x84077827, "nci_hci_set_param" },
	{ 0xa420169a, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29249b7f, "skb_queue_head" },
	{ 0x48e8aa74, "nci_free_device" },
	{ 0x83d41b96, "nci_allocate_device" },
	{ 0xd8bf962d, "nci_register_device" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x63b0a35f, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x835c23a7, "nfc_add_se" },
	{ 0xf6319f69, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf07e2e33, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72c6e031, "skb_queue_purge_reason" },
	{ 0xc34bd6f9, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xebbb9cb3, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");
