#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xf36edcf5, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x85c42e03, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xd85c94d3, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x32eaaaa0, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x0d05b904, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x0fc47273, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x738f133f, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x60ce47d7, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xddaadd10, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x6e9cbabb, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xbd59bbf8, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x9a7c6073, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x2e429b55, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x3f587e2c, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x621289b4, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xc6a73697, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xa1f4b753, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x39cd09dd, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xcf11bbd9, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x1bb2d17b, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x8fabd63d, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xf0737fc5, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x2c5304c1, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x020bab61, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x4355da12, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xe2240c8e, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x8ef5c6f1, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xe431f7bc, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xa52cbdce, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x3e253b11, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x63239b6c, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x30405487, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x83029200, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x7c91d1fc, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xea3c6a33, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x373d267f, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xa7f5e27d, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xadbf5040, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x82c93e82, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x79ae1eb6, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x0425b2fa, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xb4e63805, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x5bfef725, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x1c11dd2f, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x95030b43, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xbb3a0c6c, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x6a2402e1, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x72087bd0, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x233a87e0, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xc78b7623, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xacc6afd5, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xcefee4aa, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x41cddf90, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xe716c20b, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x0c2ae323, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xcc41abf1, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xd141a6e6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0xf36a92b5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xbb04e0a6, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0xf62932ca, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x672b6c15, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x9c22e028, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xfe76318d, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xae72fc92, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x4dc56e0f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcb14226, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8489dd66, "init_srcu_struct" },
	{ 0x1495b825, "perf_trace_run_bpf_submit" },
	{ 0x8c0de546, "__SCK__tp_func_block_bio_remap" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0xcb13e39f, "blk_revalidate_disk_zones" },
	{ 0xed85e529, "debugfs_create_bool" },
	{ 0x4f2b4ddf, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6491c57c, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb59bcfd0, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xde017327, "sysfs_remove_link" },
	{ 0xe3cb81f2, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2a9bf87, "__srcu_read_lock" },
	{ 0x263cf090, "hwmon_device_register_with_info" },
	{ 0xd9b35089, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x52bb6a8b, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9cda16e2, "blk_sync_queue" },
	{ 0x9799f2c, "bdev_start_io_acct" },
	{ 0xb8ce1457, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4dd96516, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xde1a032d, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x660c4132, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5fb350cc, "__io_uring_cmd_do_in_task" },
	{ 0xf6a277d8, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe497123, "crypto_shash_update" },
	{ 0x5dcfb5a7, "class_unregister" },
	{ 0x585d1aa5, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4eda459, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x396b0ba1, "cleanup_srcu_struct" },
	{ 0x675167f0, "blk_freeze_queue_start_non_owner" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x90bc3ba, "blk_set_stacking_limits" },
	{ 0x4485cf7d, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x378ba6b2, "blk_put_queue" },
	{ 0x871f0fcb, "bpf_trace_run1" },
	{ 0x6a4f5431, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x6902b67c, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xeee8daad, "blk_mq_wait_quiesce_done" },
	{ 0x36e63d86, "param_ops_charp" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x20e754ff, "debugfs_create_x16" },
	{ 0x6dc1a93d, "__kmem_cache_create_args" },
	{ 0xf6ec9c1f, "io_uring_cmd_done" },
	{ 0x23db886b, "blk_rq_unmap_user" },
	{ 0x6cf95842, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x69fd244e, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x745a981, "xa_erase" },
	{ 0x37996386, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5a1fb085, "blk_mq_complete_request" },
	{ 0x207ee30e, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x81c6f07f, "trace_event_buffer_reserve" },
	{ 0x41047d66, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff1e5284, "param_ops_bool" },
	{ 0x9e6edb48, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x398ffb9, "blk_freeze_queue_start" },
	{ 0xbda72fe2, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xd317d5cd, "disk_live" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0xd8a4fd14, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x513bda5f, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xc5173c41, "__srcu_read_unlock" },
	{ 0x80642827, "hwmon_device_unregister" },
	{ 0xf82badd9, "__tracepoint_block_bio_remap" },
	{ 0xe30762ae, "blk_mq_unfreeze_queue" },
	{ 0xeef38c9f, "alloc_pages_noprof" },
	{ 0xc832291f, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xad77ccf6, "queue_limits_commit_update" },
	{ 0x110b7e16, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x70cee7d6, "blk_rq_map_user_iov" },
	{ 0xf6912599, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd5af6e4a, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x5a380a56, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcc94d14, "crypto_alloc_shash" },
	{ 0xd10cb83b, "blk_mq_freeze_queue_wait" },
	{ 0x69fe49cc, "debugfs_create_dir" },
	{ 0x72bf3fb1, "nvme_auth_gen_privkey" },
	{ 0xd897b102, "fault_create_debugfs_attr" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x33c11e99, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2efe866c, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8961d571, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x49b446a4, "bdev_end_io_acct" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x715c4def, "blk_steal_bios" },
	{ 0x675241d, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa5cc7c2c, "set_capacity_and_notify" },
	{ 0x4cc51e0c, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x590657a0, "set_disk_ro" },
	{ 0x1202acd, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa9c852a0, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x4da9082a, "blk_rq_integrity_map_user" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xcce96ad1, "device_remove_file_self" },
	{ 0x8b6cb4a4, "param_ops_uint" },
	{ 0xe689d371, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe08c96b9, "dev_set_name" },
	{ 0x6ecbd17e, "bio_split_to_limits" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x1f3cf9c1, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xde25a7c9, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd718f607, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfcd8270b, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe700bbec, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe0b0e47e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x88f7253f, "queue_limits_stack_bdev" },
	{ 0x38db4473, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd30ec2b0, "should_fail" },
	{ 0x89c0b2f0, "device_initialize" },
	{ 0xec77f248, "blk_mq_unquiesce_queue" },
	{ 0x3a622821, "blk_mq_quiesce_queue" },
	{ 0xbd2fb9b0, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x63b4ea0, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfc5d2a3b, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe1cc7097, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xae16ff9e, "synchronize_srcu" },
	{ 0x4bddad1f, "param_ops_byte" },
	{ 0xc91314, "get_device" },
	{ 0xa408dda5, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf70a32c3, "__blk_mq_alloc_disk" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc5fd2028, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xede68500, "blk_mq_alloc_tag_set" },
	{ 0x32454559, "blk_rq_is_poll" },
	{ 0x69a1eec2, "trace_event_buffer_commit" },
	{ 0x3660cd70, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdcb3ab9c, "put_disk" },
	{ 0xbfc0ec14, "crypto_alloc_kpp" },
	{ 0x7f619ef4, "cdev_device_add" },
	{ 0x952eef99, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8bf206e1, "blk_execute_rq" },
	{ 0x3440d50f, "put_device" },
	{ 0xeda15ab3, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2f6028b6, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xca513856, "const_pcpu_hot" },
	{ 0x3ebfc460, "__free_pages" },
	{ 0xc9736df1, "_dev_info" },
	{ 0x7b1f3f46, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xca293b2a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x976247cb, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d179dcb, "nvme_auth_gen_pubkey" },
	{ 0x99eeaa40, "compat_ptr_ioctl" },
	{ 0x609f76e6, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x3f986782, "blk_mq_quiesce_tagset" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x285cd9a4, "kobject_uevent_env" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "E463E0A57B794F7532F2E24");
