#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x2cfc5cb2, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x9c3fba1a, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0xd4d40421, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x7210d31a, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x5d4a03fb, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xfdc8de3a, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0xbf0dfde5, "_gpl");
SYMBOL_CRC(ucsi_create, 0xcf9cf6bd, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x6f97e844, "_gpl");
SYMBOL_CRC(ucsi_register, 0x1c503e71, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xbd15a370, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67c11cd6, "typec_partner_register_altmode" },
	{ 0x8111ee46, "typec_partner_set_num_altmodes" },
	{ 0xfc1789a6, "typec_unregister_partner" },
	{ 0xea96e6e3, "typec_set_pwr_opmode" },
	{ 0xc01a73dc, "typec_cable_set_identity" },
	{ 0x914d840b, "debugfs_attr_read" },
	{ 0xe68147eb, "typec_unregister_cable" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1495b825, "perf_trace_run_bpf_submit" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0x87e53296, "typec_partner_set_usb_mode" },
	{ 0x6577c1f6, "typec_altmode_update_active" },
	{ 0x66d36e65, "device_property_read_u8_array" },
	{ 0x750017, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xec6f21e5, "usb_power_delivery_register_capabilities" },
	{ 0x44fc848, "typec_register_plug" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xadb49d87, "typec_altmode_set_ops" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb8ce1457, "debugfs_remove" },
	{ 0x3c7565e, "usb_power_delivery_unregister" },
	{ 0xde1a032d, "trace_event_reg" },
	{ 0x1d279b55, "typec_set_data_role" },
	{ 0x140f466e, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5c18da3, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92f42b92, "typec_unregister_port" },
	{ 0xa3a63f37, "power_supply_get_drvdata" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x7ca77c13, "typec_register_port" },
	{ 0xacfe6a54, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc1582a98, "typec_partner_set_usb_power_delivery" },
	{ 0x4728c740, "power_supply_changed" },
	{ 0x273a790e, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaa89550e, "typec_plug_register_altmode" },
	{ 0xe7ca7180, "devm_kasprintf" },
	{ 0x7f914190, "typec_partner_set_svdm_version" },
	{ 0x662a44f3, "seq_read" },
	{ 0x81c6f07f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc863b27f, "typec_unregister_altmode" },
	{ 0x9577f3e3, "typec_register_cable" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5ccd9d5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc8cc8f31, "usb_power_delivery_unregister_capabilities" },
	{ 0xd0f7f16a, "typec_get_drvdata" },
	{ 0xca7568bd, "debugfs_create_file_full" },
	{ 0x2dfefda4, "typec_partner_set_identity" },
	{ 0xf0682e5a, "power_supply_unregister" },
	{ 0x64d99ed7, "single_release" },
	{ 0x2e028571, "typec_set_pwr_role" },
	{ 0xde308669, "typec_partner_usb_power_delivery_register" },
	{ 0x48a70f9, "dev_err_probe" },
	{ 0xdb24bf8c, "usb_debug_root" },
	{ 0x60f9dffd, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2261b3a3, "single_open" },
	{ 0x69fe49cc, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2ff279b7, "__dev_fwnode" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa5a207a6, "typec_partner_set_pd_revision" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa65e8d59, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6f74169e, "typec_register_partner" },
	{ 0xece08dd5, "typec_port_set_usb_power_delivery" },
	{ 0x96b345e1, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfabe2cd4, "typec_port_register_altmode" },
	{ 0x8891d6f0, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd718f607, "trace_raw_output_prep" },
	{ 0x808472aa, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe0b0e47e, "__trace_trigger_soft_disabled" },
	{ 0x38db4473, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbd2fb9b0, "trace_event_raw_init" },
	{ 0x40ea28d, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0x3f5e7c65, "seq_lseek" },
	{ 0xfc5d2a3b, "bpf_trace_run2" },
	{ 0xa043b02e, "typec_set_mode" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0x6d4ae6af, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x69a1eec2, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x59aa1441, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "E0DE57E014C396C25ECCEDB");
