#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xbee92718, "");
SYMBOL_CRC(bt_sock_register, 0x6a074d23, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x9075bb95, "");
SYMBOL_CRC(bt_sock_link, 0xcfb5c65d, "");
SYMBOL_CRC(bt_sock_unlink, 0x019b611d, "");
SYMBOL_CRC(bt_sock_linked, 0x67bc761f, "");
SYMBOL_CRC(bt_accept_enqueue, 0x7d4e2866, "");
SYMBOL_CRC(bt_accept_unlink, 0x1e22b225, "");
SYMBOL_CRC(bt_accept_dequeue, 0xe55e1666, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xa66110a3, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x66b15a45, "");
SYMBOL_CRC(bt_sock_poll, 0x73e6d634, "");
SYMBOL_CRC(bt_sock_ioctl, 0xefc79a6d, "");
SYMBOL_CRC(bt_sock_wait_state, 0x4d12289e, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x08e1d565, "");
SYMBOL_CRC(bt_procfs_init, 0x0f736205, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xe22b9065, "");
SYMBOL_CRC(bt_debugfs, 0x597a2f2c, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xc11c2e23, "");
SYMBOL_CRC(hci_free_dev, 0x6489b3c4, "");
SYMBOL_CRC(hci_register_dev, 0x8f4199aa, "");
SYMBOL_CRC(hci_unregister_dev, 0xc69335cc, "");
SYMBOL_CRC(hci_release_dev, 0x6f76e290, "");
SYMBOL_CRC(hci_suspend_dev, 0x0accc69b, "");
SYMBOL_CRC(hci_resume_dev, 0x672b17d6, "");
SYMBOL_CRC(hci_reset_dev, 0x2b519846, "");
SYMBOL_CRC(hci_recv_frame, 0x5292de97, "");
SYMBOL_CRC(hci_recv_diag, 0xab6b405b, "");
SYMBOL_CRC(hci_set_hw_info, 0x7161d3a4, "");
SYMBOL_CRC(hci_set_fw_info, 0xb6e0f64f, "");
SYMBOL_CRC(hci_register_cb, 0xe5940f11, "");
SYMBOL_CRC(hci_unregister_cb, 0x36e7d30d, "");
SYMBOL_CRC(__hci_cmd_send, 0xc0bfad78, "");
SYMBOL_CRC(hci_get_route, 0xfc99b517, "");
SYMBOL_CRC(hci_conn_security, 0xc6a35468, "");
SYMBOL_CRC(hci_conn_check_secure, 0xffcf0144, "");
SYMBOL_CRC(hci_conn_switch_role, 0x522e555d, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xbd0dc225, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x207a7639, "");
SYMBOL_CRC(l2cap_add_psm, 0x5dd7dff7, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x1d6adbc2, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xaedd01b2, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x71298224, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xac9081e2, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x764ab1ee, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x7c6ae5e4, "");
SYMBOL_CRC(l2cap_register_user, 0x422013b5, "");
SYMBOL_CRC(l2cap_unregister_user, 0x08c5b540, "");
SYMBOL_CRC(l2cap_conn_get, 0xee6a9ef7, "");
SYMBOL_CRC(l2cap_conn_put, 0xa0b97588, "");
SYMBOL_CRC(l2cap_chan_send, 0xefa4bc08, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xe0359fd1, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xbd735c4c, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x0edf6622, "");
SYMBOL_CRC(__hci_cmd_sync, 0x26fd7e35, "");
SYMBOL_CRC(hci_cmd_sync, 0x89d8ee8e, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x20491774, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x751fb932, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xf0cdb677, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x625c5a45, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x13e54be8, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x6fbffa51, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x08872768, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x557e92ce, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xdccb6b34, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x00dfe589, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0xdf86e90e, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x583e1925, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xb26f4324, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xff7910a6, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x7ebff4e0, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x3d7ff298, "");
SYMBOL_CRC(hci_devcd_init, 0xbbc126cc, "");
SYMBOL_CRC(hci_devcd_append, 0x0a8d7b9c, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x94d78df3, "");
SYMBOL_CRC(hci_devcd_complete, 0x537a5249, "");
SYMBOL_CRC(hci_devcd_abort, 0x2c649fa7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x6ca9d8f8, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe08c96b9, "dev_set_name" },
	{ 0xddb0a91, "scm_detach_fds" },
	{ 0xa1b3a21b, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x90b9714a, "device_unregister" },
	{ 0xf6319f69, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x73b5e6bd, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x91f22091, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x89c0b2f0, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x3f5e7c65, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xd86e7193, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd759c065, "dev_kfree_skb_irq_reason" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xc2261079, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4c26fcc4, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xc91314, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xe6c04344, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce88fcec, "__put_cred" },
	{ 0x97316d4b, "put_cmsg" },
	{ 0x72c6e031, "skb_queue_purge_reason" },
	{ 0x3660cd70, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b631508, "disable_delayed_work" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0xbfc0ec14, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x28f299c5, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc926d0cf, "sock_register" },
	{ 0x6bf0beab, "datagram_poll" },
	{ 0x3642ed80, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3440d50f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x25496a63, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xca513856, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x4403b64a, "proto_register" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x76456a70, "skb_queue_tail" },
	{ 0xca293b2a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x5e5b9754, "__sock_recv_timestamp" },
	{ 0xf9937807, "sock_no_shutdown" },
	{ 0x2955bddf, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3cf12c71, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x97de1121, "init_net" },
	{ 0x4f2b4ddf, "crypto_shash_setkey" },
	{ 0xcd2cacab, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6491c57c, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x585603d6, "init_uts_ns" },
	{ 0xe2081ad1, "sk_skb_reason_drop" },
	{ 0x3c1e1364, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x957c3a99, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x991acb95, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaf98b3e9, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xab8e2074, "sock_no_listen" },
	{ 0xb8ce1457, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x9e81e32d, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xec953f08, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5dcfb5a7, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x9b62804, "lock_sock_nested" },
	{ 0xd9b10ad1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x673d54d3, "skb_copy_datagram_iter" },
	{ 0xcb985db8, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb6880145, "sk_alloc" },
	{ 0x6a4f5431, "device_del" },
	{ 0x80258c28, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xda647e0b, "__sock_recv_wifi_status" },
	{ 0x93c66039, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x10051a0d, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xca3a7918, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc8c09687, "security_sk_clone" },
	{ 0x5ed4dc10, "__pskb_pull_tail" },
	{ 0x462a18ce, "__scm_destroy" },
	{ 0x46d8c8e0, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc2cbb14a, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x12772fbf, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe7ca7180, "devm_kasprintf" },
	{ 0x662a44f3, "seq_read" },
	{ 0xd9ef9173, "sock_i_ino" },
	{ 0x26d72a8e, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1f6ec99b, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff1e5284, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xa521f5c6, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x584fb0c9, "sock_alloc_send_pskb" },
	{ 0xd3b500b9, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc2ef1d43, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5ccd9d5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0f65fe3, "skb_copy" },
	{ 0x724e1d95, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd5151f43, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xca7568bd, "debugfs_create_file_full" },
	{ 0x5d8d2e79, "led_set_brightness" },
	{ 0x7aed940c, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc18cd59, "sock_gettstamp" },
	{ 0x64d99ed7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x321f386b, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x696c866d, "disable_delayed_work_sync" },
	{ 0x41d42cf7, "from_kuid_munged" },
	{ 0xe3232891, "led_trigger_event" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x32f33d57, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf17bf830, "proc_create_seq_private" },
	{ 0x2261b3a3, "single_open" },
	{ 0xbcc94d14, "crypto_alloc_shash" },
	{ 0x69fe49cc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xde1987f3, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5564daec, "put_pid" },
	{ 0x2efe866c, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf6f01fdc, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ff279b7, "__dev_fwnode" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x584ea3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29249b7f, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xdd1929de, "security_sock_graft" },
	{ 0xec0bb460, "skb_free_datagram" },
	{ 0x214dabf8, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa9c852a0, "try_module_get" },
	{ 0xd264f4e1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "62B5376A74875F7061A6ED6");
