#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xfe1df18f, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x7dd153d5, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x99e2b012, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0xc37f1336, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xf1442b34, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x2f8154cc, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xa90f3e94, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x92901a45, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xde1578db, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xe1244c94, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x53d523d3, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x832eaf59, "_gpl");
SYMBOL_CRC(dccp_make_response, 0xf7a3ac5a, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x100f7285, "_gpl");
SYMBOL_CRC(dccp_connect, 0xab4f1146, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x380a663e, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x96ba8a62, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0xd9ba1949, "_gpl");
SYMBOL_CRC(dccp_done, 0xe057f0a8, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x56911206, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x731e26f1, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xb1442845, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x9e62c635, "_gpl");
SYMBOL_CRC(dccp_poll, 0xc08a1afd, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0xf3f4c4c3, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x6f98c5f0, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0xaeefb98f, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x6549f653, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x7522406f, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x52ac55bc, "_gpl");
SYMBOL_CRC(dccp_close, 0x11647096, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xbec5edbe, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ed82022, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xbc1ba0ac, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x25496a63, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xca513856, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2857f9ba, "sk_reset_timer" },
	{ 0x76456a70, "skb_queue_tail" },
	{ 0x4e8bed68, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1495b825, "perf_trace_run_bpf_submit" },
	{ 0x97de1121, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1bd036cc, "ip6_mtu" },
	{ 0xe2081ad1, "sk_skb_reason_drop" },
	{ 0x3c1e1364, "sk_free" },
	{ 0xa962b116, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaf98b3e9, "skb_push" },
	{ 0x31102588, "kmem_cache_free" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xde1a032d, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9b62804, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x673d54d3, "skb_copy_datagram_iter" },
	{ 0xaabe8e03, "tcp_stream_memory_free" },
	{ 0xb6e5fcce, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xeecad88e, "sk_wait_data" },
	{ 0x6650ab03, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb358130e, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1ea311da, "inet_twsk_hashdance_schedule" },
	{ 0x6dc1a93d, "__kmem_cache_create_args" },
	{ 0x12772fbf, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3e074ba, "inet_csk_listen_start" },
	{ 0x91dd5949, "sk_free_unlock_clone" },
	{ 0x395d94f1, "sock_rfree" },
	{ 0xb6eccdb4, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x2d94c9c6, "skb_set_owner_w" },
	{ 0x81c6f07f, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff1e5284, "param_ops_bool" },
	{ 0x584fb0c9, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x724e1d95, "skb_clone" },
	{ 0xf3f50497, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xeef78dd0, "dst_release" },
	{ 0x5d580b83, "sk_stream_wait_connect" },
	{ 0xd5151f43, "_copy_from_iter" },
	{ 0x49d9c56d, "inet_csk_destroy_sock" },
	{ 0xaddcfcd3, "sk_stop_timer" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xac7e12fe, "inet_rtx_syn_ack" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x1ecdafc8, "param_ops_int" },
	{ 0x32f33d57, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x9c4ca06b, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf73dba53, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x675241d, "kmem_cache_destroy" },
	{ 0x72034e13, "inet_csk_complete_hashdance" },
	{ 0x584ea3, "release_sock" },
	{ 0x92d5781a, "inet_csk_reqsk_queue_drop" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0xe4d9b2e9, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0x6ca9d8f8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3622cef, "consume_skb" },
	{ 0xe8ec919c, "sock_wmalloc" },
	{ 0xd718f607, "trace_raw_output_prep" },
	{ 0xf6319f69, "skb_dequeue" },
	{ 0xe0b0e47e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x38db4473, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x867cffba, "__kmalloc_node_track_caller_noprof" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xbd2fb9b0, "trace_event_raw_init" },
	{ 0x266f0d20, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xfc5d2a3b, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x868d18d6, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x6a49eeb8, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe35890fd, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x69a1eec2, "trace_event_buffer_commit" },
	{ 0x99dcc3be, "register_net_sysctl_sz" },
	{ 0x48e47d7c, "inet_sock_destruct" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C4A0F686D56AE1D6DAE0AE");
