#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x257ddda9, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xbc9d1baf, "");
SYMBOL_CRC(ieee802154_free_hw, 0x76ba2531, "");
SYMBOL_CRC(ieee802154_register_hw, 0x3c6ffe18, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x0834a5be, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x2774e9cb, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x5eea1bde, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x267ab821, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x84f4f904, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x24cadb0b, "nl802154_scan_started" },
	{ 0x2f01da45, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x25496a63, "__alloc_skb" },
	{ 0x4b79ea8e, "skb_copy_expand" },
	{ 0x76456a70, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1f221378, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1495b825, "perf_trace_run_bpf_submit" },
	{ 0x73fdc3d2, "cfg802154_get_free_short_addr" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe6434a8d, "wpan_phy_register" },
	{ 0xa1ecbe69, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdf92403b, "crypto_aead_encrypt" },
	{ 0xe2081ad1, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaf98b3e9, "skb_push" },
	{ 0x8768b5e0, "ieee802154_hdr_peek" },
	{ 0xc3560bf3, "wpan_phy_free" },
	{ 0x2b1702b8, "netif_receive_skb" },
	{ 0xde1a032d, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x25c61611, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x871f0fcb, "bpf_trace_run1" },
	{ 0x48197f87, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0xc0b7c197, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb20e10a, "ieee802154_hdr_pull" },
	{ 0x82db3842, "nl802154_scan_event" },
	{ 0x50b9a543, "crypto_alloc_sync_skcipher" },
	{ 0xc2cbb14a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x29fc5a07, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37996386, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x81c6f07f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x12a05116, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x992c3513, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9370e979, "wpan_phy_new" },
	{ 0x724e1d95, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0x9e76fc96, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb43ae6ff, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb44c75da, "cfg802154_device_is_parent" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0xf7603f52, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa191e515, "register_netdevice" },
	{ 0xc06b5ad0, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdc1e8967, "bpf_trace_run4" },
	{ 0x840ae8c3, "nl802154_beaconing_done" },
	{ 0x6ca9d8f8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3622cef, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd718f607, "trace_raw_output_prep" },
	{ 0xf6319f69, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe0b0e47e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x38db4473, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0xff79fe0b, "dev_alloc_name" },
	{ 0xbd2fb9b0, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x727a9b9f, "ieee802154_mac_cmd_push" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0x2396fe44, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xfc5d2a3b, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfbe5e73c, "netdev_warn" },
	{ 0xa2e750d2, "crypto_aead_setauthsize" },
	{ 0x1f9b0191, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x3dfd98a, "crypto_skcipher_setkey" },
	{ 0x5f4f93e0, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8aa839bc, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x984fbf55, "wpan_phy_unregister" },
	{ 0x69a1eec2, "trace_event_buffer_commit" },
	{ 0x5a2c58a4, "dev_addr_mod" },
	{ 0x3660cd70, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x841e9c1, "alloc_netdev_mqs" },
	{ 0x4f1cb555, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "DC1138AE16B2B32E5FDFC74");
