#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0xbe4f72e8, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0x815dc829, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x44a855d9, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x5399352c, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x2b9e6a84, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x80484c21, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xf4ee74dc, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x4be6ab24, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x6fc54b40, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x3a77ac28, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x27cc7828, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0xace62cb5, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0xa33329ad, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x8d42215d, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x63607a2f, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x9d9cf917, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x24aea33e, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x60b75164, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xa82f3038, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x56541b8a, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x8b9f9ba4, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x181aac09, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc983a48e, "snd_hda_sync_vmaster_hook" },
	{ 0x5262c8b1, "snd_hda_apply_fixup" },
	{ 0x90cd675d, "snd_hda_enum_helper_info" },
	{ 0xd09a82ae, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x37e28692, "snd_hdac_codec_read" },
	{ 0xedf8d287, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x8f2f7fd, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x3539f1c2, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5b6cbfc2, "snd_hdac_regmap_sync" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xed4cbb8e, "snd_hda_apply_verbs" },
	{ 0xda8bd803, "snd_hda_codec_amp_update" },
	{ 0x768e0ddf, "snd_hda_add_new_ctls" },
	{ 0xefd13ba3, "snd_hda_get_connections" },
	{ 0x7686a5ca, "snd_hda_codec_amp_init_stereo" },
	{ 0xd85158df, "snd_hda_set_vmaster_tlv" },
	{ 0xbd6c89e2, "hda_get_autocfg_input_label" },
	{ 0x8ea9e9e1, "query_amp_caps" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x40f6620e, "snd_hda_mixer_amp_volume_info" },
	{ 0xfc57ae31, "snd_hdac_regmap_read_raw" },
	{ 0x335ac974, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9fcf765d, "snd_hda_codec_setup_stream" },
	{ 0xef3dd411, "snd_hda_mixer_amp_switch_info" },
	{ 0x589b046a, "hda_codec_driver_unregister" },
	{ 0x5d4d7470, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbb31ef48, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0xe0f87f10, "snd_hda_jack_tbl_get_mst" },
	{ 0x53845245, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5991c435, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x52f9872d, "led_classdev_unregister" },
	{ 0x20c5b2af, "snd_hda_codec_pcm_new" },
	{ 0xa1de6f4b, "__snd_hda_codec_cleanup_stream" },
	{ 0x19ce8e58, "snd_ctl_sync_vmaster" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0xb0aa1e3c, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x871fdf67, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52860600, "snd_hda_add_imux_item" },
	{ 0xaacbe7cb, "snd_hda_correct_pin_ctl" },
	{ 0x7498136a, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x82f1ccec, "snd_hda_create_dig_out_ctls" },
	{ 0xbebc405c, "snd_hda_multi_out_dig_close" },
	{ 0x5265fea9, "snd_hda_get_conn_index" },
	{ 0x4f7292b7, "snd_hda_multi_out_analog_open" },
	{ 0xf909cc5f, "snd_hda_get_bool_hint" },
	{ 0x34eef672, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x18bc5789, "snd_hda_find_mixer_ctl" },
	{ 0xe8e9f31f, "snd_hda_get_int_hint" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0x97b859be, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x515afad3, "snd_hda_parse_pin_defcfg" },
	{ 0x2011ba8a, "snd_hda_codec_amp_init" },
	{ 0x1721551f, "snd_hda_create_spdif_in_ctls" },
	{ 0x182e7524, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb0f4907, "snd_hda_multi_out_analog_cleanup" },
	{ 0x2fdb6bcc, "snd_hda_multi_out_analog_prepare" },
	{ 0x498f7a10, "snd_ctl_boolean_stereo_info" },
	{ 0xd21e860, "snd_hda_get_conn_list" },
	{ 0x8f292855, "snd_hda_mixer_amp_switch_get" },
	{ 0x6ff42ed7, "snd_hda_codec_set_pin_target" },
	{ 0x238dfc9a, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x73f0c1d2, "snd_hda_attach_beep_device" },
	{ 0x89b3c539, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6a4e15d7, "snd_hdac_regmap_write_raw" },
	{ 0x20e29e4a, "snd_hda_mixer_amp_volume_get" },
	{ 0xd4334b84, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x959ef26b, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x42336498, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2019c768, "snd_hda_jack_unsol_event" },
	{ 0xfc28479d, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8f28e903, "snd_hda_mixer_amp_tlv" },
	{ 0x54ad35ea, "snd_hda_jack_add_kctls" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x6654bf5, "__snd_hda_add_vmaster" },
	{ 0xad24bead, "snd_hda_codec_amp_stereo" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "0C63568A6259984F6E3A5C8");
