#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0x198dcdd9, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0x27151801, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x979975c2, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x16bb1fa7, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x83da8310, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0x122c02e9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c74fb7e, "snd_soc_component_write" },
	{ 0x9cf852a6, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x343d723, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x306fcc27, "device_property_read_u32_array" },
	{ 0x13aee3af, "snd_soc_get_enum_double" },
	{ 0xfb3a6ea8, "i2c_register_driver" },
	{ 0xf3e0e7eb, "snd_soc_info_volsw" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x113a381e, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6fd19a97, "snd_soc_dapm_force_bias_level" },
	{ 0xd2176139, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5de78a13, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x1794546a, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x37c90750, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa50abc28, "devm_clk_get_optional" },
	{ 0xb0a9e756, "snd_soc_get_volsw" },
	{ 0x209bc8e2, "regmap_read" },
	{ 0xa96d8c8d, "snd_soc_put_volsw" },
	{ 0x21ce56d, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x33d6a0f, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf35548cd, "regmap_update_bits_base" },
	{ 0x413368cd, "snd_soc_dapm_get_volsw" },
	{ 0x649c88e0, "__devm_add_action" },
	{ 0x48e1ccac, "i2c_del_driver" },
	{ 0x4e236304, "regmap_register_patch" },
	{ 0xba059800, "snd_soc_dapm_get_enum_double" },
	{ 0xa9135f40, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7085870, "snd_soc_dapm_put_enum_double" },
	{ 0x93be0c29, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4c6e569b, "device_property_present" },
	{ 0x40f90f6b, "regcache_cache_only" },
	{ 0x172ce50f, "regcache_sync" },
	{ 0xc8fca00b, "regmap_write" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x5bea25fd, "snd_soc_jack_report" },
	{ 0xcab60eb2, "snd_soc_component_read" },
	{ 0xe8c24a65, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x789979f8, "gpiod_to_irq" },
	{ 0xaf5be249, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6f6da8b1, "snd_soc_put_enum_double" },
	{ 0xfc8fbf70, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9db2b7c, "gpiod_get_value" },
	{ 0x28d969a5, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xb1184894, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");
MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");

MODULE_INFO(srcversion, "8DA52D21774CE3081E6DC3B");
