#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_mf_sdca_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x7dc0ffaa, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0xf1306aa1, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0xa7a69bbf, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0xc596ed6e, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0x5a3ef2f8, "");
SYMBOL_CRC(asoc_sdw_startup, 0x2fe58643, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x0ac326c1, "");
SYMBOL_CRC(asoc_sdw_trigger, 0x82df6454, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x9402517e, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0x59b05eaa, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0xd6c5d796, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0x90af346a, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0xf5d4a1ee, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0x921691b8, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0x078a17b2, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0xe8f4ad16, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0x2b6f917d, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0x29014d05, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0xf1bdb44c, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0xdd8812fe, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0x41b92388, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0xa004ab0e, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0x6c8cf891, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0xbcb87307, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0x764ca3d1, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0x692e38ee, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x0778de97, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0x75c718d9, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0x8df4a020, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0xb36084b3, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0xf1fd7779, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0x6104879e, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0x505e4d7d, "");
SYMBOL_CRC(asoc_sdw_rt_mf_sdca_spk_rtd_init, 0x1b8fc43b, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0xad2db46f, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0x69d78d82, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0x358ab668, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0xbac0a923, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0xa62327e9, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0x9e044152, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x00a7a02f, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0xd662df89, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0xa3f1ee45, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0xa409bc6f, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0xf8da36c5, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0x0a099087, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x617b0ace, "snd_soc_dai_set_tdm_slot" },
	{ 0x1d4b6e6d, "snd_soc_dapm_enable_pin" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe6404506, "snd_soc_dapm_disable_pin" },
	{ 0xbf96991a, "snd_soc_component_set_sysclk" },
	{ 0x7b0c3d5b, "snd_soc_dai_set_sysclk" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d8eaabe, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x67f77a18, "snd_soc_component_set_jack" },
	{ 0x215cec42, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3440d50f, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc715ccd4, "fwnode_create_software_node" },
	{ 0x78499aca, "snd_soc_dapm_get_pin_switch" },
	{ 0x9542f962, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0xe743c28e, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0xa8156c84, "sdw_deprepare_stream" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x1794546a, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb77dea99, "device_remove_software_node" },
	{ 0x8e918f40, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe7ca7180, "devm_kasprintf" },
	{ 0xf07e76d5, "snd_soc_card_jack_new_pins" },
	{ 0x99979cf3, "snd_soc_dai_set_pll" },
	{ 0x33d6a0f, "snd_soc_dapm_new_controls" },
	{ 0x62705df3, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc87bf63a, "snd_soc_dapm_put_pin_switch" },
	{ 0x1e40c486, "device_match_name" },
	{ 0x985658b, "snd_soc_dapm_info_pin_switch" },
	{ 0xd9aea25a, "snd_soc_add_card_controls" },
	{ 0xcc8c909d, "device_add_software_node" },
	{ 0xcf4d01b6, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x3c46730f, "sdw_bus_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0xa08c33de, "to_software_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "66140113F3308BE7302AD98");
