#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0xa759cd28, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x4ffb19cf, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0xda857338, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0xc514a37b, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0xa99bc115, "");
SYMBOL_CRC(hda_dsp_probe_early, 0xf440ae77, "");
SYMBOL_CRC(hda_dsp_probe, 0x618cfdb9, "");
SYMBOL_CRC(hda_dsp_remove, 0x4d23c06f, "");
SYMBOL_CRC(hda_power_down_dsp, 0xf6a34a65, "");
SYMBOL_CRC(hda_pci_intel_probe, 0xe6a469ed, "");
SYMBOL_CRC(sof_hda_common_ops, 0xd73c586d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0xf3bc9a9d, "pci_alloc_irq_vectors" },
	{ 0xad32be98, "intel_nhlt_get_dmic_geo" },
	{ 0xbbe5fab5, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0xf172c715, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x86e5a233, "hda_sdw_process_wakeen" },
	{ 0xbcbfed39, "hda_sdw_int_enable" },
	{ 0x75a0ad09, "hda_bus_ml_init" },
	{ 0xa00eca93, "hda_codec_probe_bus" },
	{ 0xa807f503, "sof_hda_bus_exit" },
	{ 0xf8d59cf6, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x91ba0548, "sdw_intel_exit" },
	{ 0xbef676ca, "hda_codec_check_for_state_change" },
	{ 0x876c387e, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x5178fc82, "sdw_hda_dai_trigger" },
	{ 0x13c75cec, "hda_bus_ml_free" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0xc48b6ce6, "hda_dsp_cl_boot_firmware" },
	{ 0x9f8de132, "hda_dsp_pcm_hw_params" },
	{ 0xa1ccca3a, "hda_sdw_check_lcount" },
	{ 0x50d5d835, "snd_intel_dsp_driver_probe" },
	{ 0xdc531616, "pci_irq_vector" },
	{ 0xd029dc52, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0xd40ceb1b, "pci_ioremap_bar" },
	{ 0xd7153ea2, "hda_dsp_ctrl_init_chip" },
	{ 0xdc2467a6, "sdw_hda_dai_hw_free" },
	{ 0x7d8fd974, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcf7bc975, "hda_dsp_suspend" },
	{ 0xb4a0180, "hda_dsp_runtime_suspend" },
	{ 0x1dea2e79, "hda_codec_i915_exit" },
	{ 0x736b8954, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8e22c0f5, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0x2cc6913e, "hda_dai_config" },
	{ 0x1686ecc3, "hda_probes_unregister" },
	{ 0x35377e17, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6521bd85, "hda_dsp_pcm_ack" },
	{ 0x8cbc141f, "hda_dsp_trace_release" },
	{ 0xbb68681e, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0xc9736df1, "_dev_info" },
	{ 0x6609e944, "hda_dsp_dump" },
	{ 0xa70d47a4, "sdw_intel_startup" },
	{ 0xa9b57cf8, "hda_dsp_pcm_pointer" },
	{ 0x470fa015, "sdw_intel_process_wakeen_event" },
	{ 0x9c68bc29, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x110abc71, "sof_mailbox_read" },
	{ 0x975ff187, "hda_bus_ml_put_all" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0xed85e529, "debugfs_create_bool" },
	{ 0x595b4581, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3496bc4b, "__tracepoint_sof_intel_hda_irq" },
	{ 0xd9613a42, "platform_device_unregister" },
	{ 0xc4ab1fb, "hda_dsp_trace_init" },
	{ 0xb157f402, "snd_soc_acpi_find_machine" },
	{ 0xe439f725, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x90c9cdd9, "hda_codec_device_remove" },
	{ 0x971b9486, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7112e03b, "snd_sof_dsp_update_bits" },
	{ 0x742eb077, "snd_sof_pci_update_bits" },
	{ 0x1436ddd0, "sof_hda_bus_init" },
	{ 0x563d7a7f, "hda_dsp_runtime_idle" },
	{ 0x812072a1, "hda_dsp_pcm_open" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x52786440, "sdw_intel_lnl_hw_ops" },
	{ 0x1863b0a9, "pci_set_master" },
	{ 0x36e63d86, "param_ops_charp" },
	{ 0xa7fc56ac, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x33caa619, "hda_dsp_pcm_close" },
	{ 0x213bf912, "dma_set_coherent_mask" },
	{ 0xe7ca7180, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1135504e, "hda_check_ipc_irq" },
	{ 0xe0411be6, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc480a0ad, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xada7dc60, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xef74ff38, "sof_machine_unregister" },
	{ 0xcf4b7005, "skl_dai" },
	{ 0xc9c19487, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa0200f64, "sdw_intel_probe" },
	{ 0x43e8183b, "snd_sof_load_firmware_raw" },
	{ 0xcfe84bcc, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x5259bde1, "hda_is_chain_dma_supported" },
	{ 0x3e60d9b1, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x18229c30, "dma_set_mask" },
	{ 0xebc54f6a, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x48a70f9, "dev_err_probe" },
	{ 0xf77f3b7a, "hda_dsp_stream_init" },
	{ 0x19d134d8, "hda_dsp_get_stream_ldp" },
	{ 0x1b93a6ba, "hda_dsp_stream_free" },
	{ 0x262f88e, "hda_dsp_ctrl_get_caps" },
	{ 0x1ecdafc8, "param_ops_int" },
	{ 0x55cabdaf, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2ef97886, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x564c7171, "hda_codec_i915_init" },
	{ 0x8b5f3ca6, "pci_free_irq_vectors" },
	{ 0x5aefb1af, "hda_dsp_check_stream_irq" },
	{ 0xe6e5b15, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xadf29694, "hda_dsp_ipc_get_window_offset" },
	{ 0x51e4ce8e, "hda_ipc_msg_data" },
	{ 0xbe5289e1, "sof_machine_register" },
	{ 0xa1d335c1, "hdac_bus_eml_get_mutex" },
	{ 0xd467c0b3, "snd_soc_acpi_intel_hda_machines" },
	{ 0x5cfe9788, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x83a47c9b, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x1e5ee1bd, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x25f55019, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x221021ef, "hda_get_interface_mask" },
	{ 0xd8a36b48, "hda_codec_i915_display_power" },
	{ 0x7508a1d4, "is_acpi_device_node" },
	{ 0xe3233953, "hda_dsp_pcm_trigger" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-pcm,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "07DE080F95593709B535E37");
