#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xf8d9f314, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x0797cffd, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xe1785893, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x9c6ce981, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x60ba53b0, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x33ec2e47, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xb54a4bbc, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xa1f3851c, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x0d544c68, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xf8e8d5e4, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x9afa726a, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x556973a1, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x8c0e52fe, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xa10522cc, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x26fa3bf8, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x7767009b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xa0ee28e8, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xcdbe3c64, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xfcb4224a, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x72d2e872, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x1fadbf17, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x16a737f8, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xf30842f6, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xfd26c33b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x21c1c4ea, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x8d9bce4d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x0735a180, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x87a60c93, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x83edfda9, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xd7c20a9d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xa55ec432, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33d2787f, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xfde56bbb, "kthread_create_worker" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0xc9736df1, "_dev_info" },
	{ 0x4ebf9df2, "sched_set_fifo" },
	{ 0xefa1007c, "crypto_register_aead" },
	{ 0xe76e516a, "crypto_unregister_aead" },
	{ 0xaac66105, "crypto_register_ahash" },
	{ 0xbc342601, "crypto_unregister_ahash" },
	{ 0x3024af46, "crypto_register_akcipher" },
	{ 0x6a91a031, "crypto_unregister_akcipher" },
	{ 0x21557c86, "crypto_register_kpp" },
	{ 0xed8842e0, "crypto_unregister_kpp" },
	{ 0xb9c5fa9e, "crypto_register_skcipher" },
	{ 0x1d966cbc, "crypto_unregister_skcipher" },
	{ 0x8abb9f40, "crypto_enqueue_request" },
	{ 0xd23ea23d, "crypto_dequeue_request" },
	{ 0xdd323096, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5074b04f, "kthread_destroy_worker" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "28D1AA24B558B76E4CD01C0");
