#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0xced48477, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x2da08135, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xfad3148d, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xc0f0d2cb, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x5c908ab5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f9b0191, "crypto_aead_decrypt" },
	{ 0x3dfd98a, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc66afe4, "crypto_unregister_aeads" },
	{ 0xc4bd696c, "cryptd_skcipher_child" },
	{ 0x2f01da45, "crypto_skcipher_decrypt" },
	{ 0x7e0cf5f6, "cryptd_alloc_skcipher" },
	{ 0x1f221378, "crypto_aead_setkey" },
	{ 0xb9c5fa9e, "crypto_register_skcipher" },
	{ 0xdf92403b, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9fa46310, "cryptd_aead_queued" },
	{ 0x1d966cbc, "crypto_unregister_skcipher" },
	{ 0xe9ba0983, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2350f6c, "cryptd_skcipher_queued" },
	{ 0x5ec1f781, "cryptd_free_aead" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0xc71def21, "crypto_unregister_skciphers" },
	{ 0xde7df08a, "cryptd_free_skcipher" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0xc06b5ad0, "crypto_skcipher_encrypt" },
	{ 0x68b41d9a, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb41b440b, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xefa1007c, "crypto_register_aead" },
	{ 0xe76e516a, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x614b8aa7, "crypto_register_aeads" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0xa2e750d2, "crypto_aead_setauthsize" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "F70643DDB8B3C26A0417513");
