#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(iio_bus_type, "", "");
KSYMTAB_FUNC(iio_device_id, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_enabled, "_gpl", "");
KSYMTAB_FUNC(iio_get_debugfs_dentry, "_gpl", "");
KSYMTAB_FUNC(iio_read_const_attr, "", "");
KSYMTAB_FUNC(iio_device_set_clock, "", "");
KSYMTAB_FUNC(iio_device_get_clock, "", "");
KSYMTAB_FUNC(iio_get_time_ns, "", "");
KSYMTAB_FUNC(iio_enum_available_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_write, "_gpl", "");
KSYMTAB_FUNC(iio_show_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_read_mount_matrix, "", "");
KSYMTAB_FUNC(iio_format_value, "_gpl", "");
KSYMTAB_FUNC(iio_str_to_fixpoint, "_gpl", "");
KSYMTAB_FUNC(iio_device_alloc, "", "");
KSYMTAB_FUNC(iio_device_free, "", "");
KSYMTAB_FUNC(devm_iio_device_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_active_scan_mask_index, "_gpl", "");
KSYMTAB_FUNC(__iio_device_register, "", "");
KSYMTAB_FUNC(iio_device_unregister, "", "");
KSYMTAB_FUNC(__devm_iio_device_register, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_get_current_mode, "_gpl", "");
KSYMTAB_FUNC(iio_push_event, "", "");
KSYMTAB_FUNC(iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(iio_map_array_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(devm_fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release_all, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_average_raw, "_gpl", "");
KSYMTAB_FUNC(iio_convert_raw_to_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_offset, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_max_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_min_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_type, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_ext_info_count, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_label, "_gpl", "");
KSYMTAB_FUNC(iio_pop_from_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_init, "", "");
KSYMTAB_FUNC(iio_update_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_signal_dmabuf_done, "_gpl", "");
KSYMTAB_FUNC(iio_validate_scan_mask_onehot, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers_with_ts_unaligned, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_get, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_put, "_gpl", "");
KSYMTAB_FUNC(iio_device_attach_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_register, "", "");
KSYMTAB_FUNC(iio_trigger_unregister, "", "");
KSYMTAB_FUNC(iio_trigger_set_immutable, "", "");
KSYMTAB_FUNC(iio_trigger_poll, "", "");
KSYMTAB_FUNC(iio_trigger_generic_data_rdy_poll, "", "");
KSYMTAB_FUNC(iio_trigger_poll_nested, "", "");
KSYMTAB_FUNC(iio_trigger_notify_done, "", "");
KSYMTAB_FUNC(iio_pollfunc_store_time, "", "");
KSYMTAB_FUNC(iio_alloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(iio_dealloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(__iio_trigger_alloc, "", "");
KSYMTAB_FUNC(iio_trigger_free, "", "");
KSYMTAB_FUNC(__devm_iio_trigger_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_iio_trigger_register, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_using_own, "", "");
KSYMTAB_FUNC(iio_validate_own_trigger, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_validate_own_device, "", "");
KSYMTAB_FUNC(iio_device_suspend_triggering, "", "");
KSYMTAB_FUNC(iio_device_resume_triggering, "", "");
KSYMTAB_FUNC(iio_read_acpi_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_get_acpi_device_name_and_data, "_gpl", "");

SYMBOL_CRC(iio_bus_type, 0x37685e6a, "");
SYMBOL_CRC(iio_device_id, 0xac5f031b, "_gpl");
SYMBOL_CRC(iio_buffer_enabled, 0x33386e9d, "_gpl");
SYMBOL_CRC(iio_get_debugfs_dentry, 0x8ce3b95a, "_gpl");
SYMBOL_CRC(iio_read_const_attr, 0x13b85c45, "");
SYMBOL_CRC(iio_device_set_clock, 0x925d24c5, "");
SYMBOL_CRC(iio_device_get_clock, 0x29d8a1f9, "");
SYMBOL_CRC(iio_get_time_ns, 0x4b89a6ef, "");
SYMBOL_CRC(iio_enum_available_read, 0x802944bf, "_gpl");
SYMBOL_CRC(iio_enum_read, 0x2b203905, "_gpl");
SYMBOL_CRC(iio_enum_write, 0x66a2687e, "_gpl");
SYMBOL_CRC(iio_show_mount_matrix, 0x32da8835, "_gpl");
SYMBOL_CRC(iio_read_mount_matrix, 0xb1f7aabe, "");
SYMBOL_CRC(iio_format_value, 0x4dce7dd4, "_gpl");
SYMBOL_CRC(iio_str_to_fixpoint, 0x26f6b499, "_gpl");
SYMBOL_CRC(iio_device_alloc, 0xe3cffbe3, "");
SYMBOL_CRC(iio_device_free, 0x16115fbe, "");
SYMBOL_CRC(devm_iio_device_alloc, 0x0cd59636, "_gpl");
SYMBOL_CRC(iio_active_scan_mask_index, 0x6746e3b1, "_gpl");
SYMBOL_CRC(__iio_device_register, 0x5d087da7, "");
SYMBOL_CRC(iio_device_unregister, 0xc6f68063, "");
SYMBOL_CRC(__devm_iio_device_register, 0x56a8ac21, "_gpl");
SYMBOL_CRC(iio_device_claim_direct_mode, 0xc52607f2, "_gpl");
SYMBOL_CRC(iio_device_release_direct_mode, 0x9f3cf9c1, "_gpl");
SYMBOL_CRC(iio_device_claim_buffer_mode, 0x6a063b5b, "_gpl");
SYMBOL_CRC(iio_device_release_buffer_mode, 0x301cc568, "_gpl");
SYMBOL_CRC(iio_device_get_current_mode, 0x238ab2c9, "_gpl");
SYMBOL_CRC(iio_push_event, 0x60d70fee, "");
SYMBOL_CRC(iio_map_array_register, 0x2e545b69, "_gpl");
SYMBOL_CRC(iio_map_array_unregister, 0x9c69016e, "_gpl");
SYMBOL_CRC(devm_iio_map_array_register, 0x7cd24ce8, "_gpl");
SYMBOL_CRC(fwnode_iio_channel_get_by_name, 0x3b667b9e, "_gpl");
SYMBOL_CRC(iio_channel_get, 0xfe5036e4, "_gpl");
SYMBOL_CRC(iio_channel_release, 0x168c5254, "_gpl");
SYMBOL_CRC(devm_iio_channel_get, 0xb56b0998, "_gpl");
SYMBOL_CRC(devm_fwnode_iio_channel_get_by_name, 0xba381889, "_gpl");
SYMBOL_CRC(iio_channel_get_all, 0x95140e25, "_gpl");
SYMBOL_CRC(iio_channel_release_all, 0x7b6c9a77, "_gpl");
SYMBOL_CRC(devm_iio_channel_get_all, 0x4409959d, "_gpl");
SYMBOL_CRC(iio_read_channel_raw, 0xca274917, "_gpl");
SYMBOL_CRC(iio_read_channel_average_raw, 0xd67bf351, "_gpl");
SYMBOL_CRC(iio_convert_raw_to_processed, 0xc21330ac, "_gpl");
SYMBOL_CRC(iio_read_channel_attribute, 0xcff8c12f, "_gpl");
SYMBOL_CRC(iio_read_channel_offset, 0xb95b9f8f, "_gpl");
SYMBOL_CRC(iio_read_channel_processed_scale, 0x1886088a, "_gpl");
SYMBOL_CRC(iio_read_channel_processed, 0x4a8c7f8d, "_gpl");
SYMBOL_CRC(iio_read_channel_scale, 0x77dd7721, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_attribute, 0xd42b9220, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_raw, 0x5fdd8aff, "_gpl");
SYMBOL_CRC(iio_read_max_channel_raw, 0x859fe676, "_gpl");
SYMBOL_CRC(iio_read_min_channel_raw, 0x90842daa, "_gpl");
SYMBOL_CRC(iio_get_channel_type, 0xab55c723, "_gpl");
SYMBOL_CRC(iio_write_channel_attribute, 0x2819f0be, "_gpl");
SYMBOL_CRC(iio_write_channel_raw, 0xe12df43b, "_gpl");
SYMBOL_CRC(iio_get_channel_ext_info_count, 0xec36af53, "_gpl");
SYMBOL_CRC(iio_read_channel_ext_info, 0xec1e80d0, "_gpl");
SYMBOL_CRC(iio_write_channel_ext_info, 0x10425827, "_gpl");
SYMBOL_CRC(iio_read_channel_label, 0x4b37f908, "_gpl");
SYMBOL_CRC(iio_pop_from_buffer, 0x0d6e0680, "_gpl");
SYMBOL_CRC(iio_buffer_init, 0x71d24036, "");
SYMBOL_CRC(iio_update_buffers, 0xb4418fb5, "_gpl");
SYMBOL_CRC(iio_buffer_signal_dmabuf_done, 0xd085b108, "_gpl");
SYMBOL_CRC(iio_validate_scan_mask_onehot, 0xf5995579, "_gpl");
SYMBOL_CRC(iio_push_to_buffers, 0x3f0219cf, "_gpl");
SYMBOL_CRC(iio_push_to_buffers_with_ts_unaligned, 0xb0ba8887, "_gpl");
SYMBOL_CRC(iio_buffer_get, 0x4d67d570, "_gpl");
SYMBOL_CRC(iio_buffer_put, 0xa8070b8c, "_gpl");
SYMBOL_CRC(iio_device_attach_buffer, 0x75e1c8f3, "_gpl");
SYMBOL_CRC(iio_trigger_register, 0xf0525f49, "");
SYMBOL_CRC(iio_trigger_unregister, 0xc63d42b5, "");
SYMBOL_CRC(iio_trigger_set_immutable, 0xbeabce1c, "");
SYMBOL_CRC(iio_trigger_poll, 0x6437f1e1, "");
SYMBOL_CRC(iio_trigger_generic_data_rdy_poll, 0x2d6bcdcb, "");
SYMBOL_CRC(iio_trigger_poll_nested, 0xbcd4da4e, "");
SYMBOL_CRC(iio_trigger_notify_done, 0x0e600090, "");
SYMBOL_CRC(iio_pollfunc_store_time, 0xdf76bbeb, "");
SYMBOL_CRC(iio_alloc_pollfunc, 0x020f8237, "_gpl");
SYMBOL_CRC(iio_dealloc_pollfunc, 0x811a2d42, "_gpl");
SYMBOL_CRC(__iio_trigger_alloc, 0x922edd68, "");
SYMBOL_CRC(iio_trigger_free, 0x56039a29, "");
SYMBOL_CRC(__devm_iio_trigger_alloc, 0x69904637, "_gpl");
SYMBOL_CRC(devm_iio_trigger_register, 0x1088b754, "_gpl");
SYMBOL_CRC(iio_trigger_using_own, 0xd0016949, "");
SYMBOL_CRC(iio_validate_own_trigger, 0xaa38abd0, "_gpl");
SYMBOL_CRC(iio_trigger_validate_own_device, 0x7473e8ff, "");
SYMBOL_CRC(iio_device_suspend_triggering, 0x78e278f6, "");
SYMBOL_CRC(iio_device_resume_triggering, 0xafd06559, "");
SYMBOL_CRC(iio_read_acpi_mount_matrix, 0xd4575b0b, "_gpl");
SYMBOL_CRC(iio_get_acpi_device_name_and_data, 0x4b240fc1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x939f400a, "ww_mutex_trylock" },
	{ 0x1000e51, "schedule" },
	{ 0x3b6986d8, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3440d50f, "put_device" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0x74fd8fc5, "dma_buf_map_attachment" },
	{ 0xca513856, "const_pcpu_hot" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5ee93f64, "handle_simple_irq" },
	{ 0xc9736df1, "_dev_info" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xca293b2a, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x99eeaa40, "compat_ptr_ioctl" },
	{ 0xf5e7ea40, "ktime_get_coarse_ts64" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8862ce6c, "bus_unregister" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0xb757a9f5, "simple_open" },
	{ 0x89038769, "dma_buf_unmap_attachment" },
	{ 0xe743c28e, "bus_find_device" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x6491c57c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xaa18f0a1, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a74d011, "dma_buf_get" },
	{ 0xb8ce1457, "debugfs_remove" },
	{ 0x53b137c9, "device_property_read_string_array" },
	{ 0x495d1b09, "__devres_alloc_node" },
	{ 0x740d01f9, "ww_mutex_lock" },
	{ 0x6b2d3e95, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x6a4f5431, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbf99e1f3, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x203c5ac5, "__irq_alloc_descs" },
	{ 0x1bfc9167, "fwnode_property_read_string" },
	{ 0x58e8d686, "fwnode_property_present" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4c1158b4, "fwnode_get_next_parent" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xca7568bd, "debugfs_create_file_full" },
	{ 0x3bd42f5d, "dma_buf_detach" },
	{ 0x90dd3dd2, "devm_krealloc" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xfe71a210, "__irq_set_handler" },
	{ 0x649c88e0, "__devm_add_action" },
	{ 0x3cc765a4, "irq_set_chip" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x69fe49cc, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8961d571, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ff279b7, "__dev_fwnode" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xf9f98102, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe7b433b8, "ww_mutex_lock_interruptible" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x7508a1d4, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2b1d5cfa, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xe08c96b9, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7a7e4bec, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe700bbec, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x61eecf77, "ww_mutex_unlock" },
	{ 0x89c0b2f0, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56f07d5b, "dma_resv_add_fence" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xd79a7e31, "fwnode_property_get_reference_args" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4c26fcc4, "__module_get" },
	{ 0xc91314, "get_device" },
	{ 0xf87c9820, "dma_buf_attach" },
	{ 0x856afd6, "fwnode_property_match_string" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0x1e594b89, "fwnode_get_parent" },
	{ 0xada9b27f, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6fa59ff8, "device_match_fwnode" },
	{ 0x6d737b91, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x7f619ef4, "cdev_device_add" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C4D4D8DC822A9EB2D8C642A");
