#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x8b8c2b90, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0xc7128b85, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0x994483a8, "_gpl");
SYMBOL_CRC(fun_bind, 0x54b16a2b, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0x47925fac, "");
SYMBOL_CRC(fun_release_irqs, 0x25d82f90, "");
SYMBOL_CRC(fun_serv_stop, 0x61082949, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0xc68a5517, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0xbed7f2d1, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0xe9d148aa, "");
SYMBOL_CRC(fun_dev_enable, 0xa5821d36, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0x0093ab94, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0xb1d2fc1b, "_gpl");
SYMBOL_CRC(fun_sq_create, 0xab536e9f, "_gpl");
SYMBOL_CRC(fun_cq_create, 0xddd077e1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45f0591d, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8e22e60d, "pci_enable_device_mem" },
	{ 0xf3bc9a9d, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x253fa4a3, "dma_unmap_page_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x17f4e86e, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0xdc531616, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0xd40ceb1b, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x288f427c, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf672d45f, "dma_map_page_attrs" },
	{ 0x6a2b06aa, "__alloc_pages_noprof" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0xca513856, "const_pcpu_hot" },
	{ 0xc9736df1, "_dev_info" },
	{ 0x351d6d78, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xde301dda, "__dma_sync_single_for_cpu" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfbc6dd55, "dma_alloc_attrs" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0xd6dddcf7, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1863b0a9, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x213bf912, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa781e190, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0xa9170bfa, "__dma_sync_single_for_device" },
	{ 0xe4fdefaa, "pcie_print_link_status" },
	{ 0x7e57e7ea, "__folio_put" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x64d79c02, "pci_disable_device" },
	{ 0x18229c30, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0x8b5f3ca6, "pci_free_irq_vectors" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb0f7ef83, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc6371ede, "pci_msix_vec_count" },
	{ 0xc8e6ec74, "pci_request_selected_regions" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A3BFF49F7F2FD6833E08BC8");
