#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0xf2d093a7, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x172f75a9, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x974b990b, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x1d6bc278, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xd97688c5, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x4a8f6609, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0xd512fae2, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0xdb864756, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xdca11da9, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x47fe1ef7, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xa1e5dd9a, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x9df39d06, "_gpl");
SYMBOL_CRC(mt76s_init, 0xb8fc3411, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x4787fccd, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0xb4256b7b, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x21e0ec64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xafabe78, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc6bea778, "pskb_expand_head" },
	{ 0x42a446fa, "mt76_tx_status_check" },
	{ 0xf14ff817, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a2b06aa, "__alloc_pages_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5b17f00a, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x25496a63, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7ae055bc, "sdio_readsb" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x52fa4775, "__SCK__tp_func_dev_irq" },
	{ 0x72bb84f7, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd6dddcf7, "__put_devmap_managed_folio_refs" },
	{ 0x697f59c5, "kthread_stop" },
	{ 0x91e13c09, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd3242d, "mt76_queue_tx_complete" },
	{ 0x553feecd, "kthread_create_on_node" },
	{ 0x583f11c0, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x69fdb22b, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7e57e7ea, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4887ec1c, "sdio_claim_irq" },
	{ 0x89bbc00c, "mt76_skb_adjust_pad" },
	{ 0xf75090f2, "sdio_enable_func" },
	{ 0xf50929c6, "sdio_writesb" },
	{ 0xcc1a7dfe, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9743724b, "sdio_release_host" },
	{ 0x7c34d02f, "sdio_disable_func" },
	{ 0xbb17c7b1, "sdio_set_block_size" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x6ca9d8f8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x956afa16, "sdio_claim_host" },
	{ 0x3622cef, "consume_skb" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "B5587740B3669EF31B8D0B9");
