#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x62d73a1e, "_gpl");
SYMBOL_CRC(ssam_client_link, 0x39692c63, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0xa23ad193, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x0c40a1df, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0xe2e91f69, "_gpl");
SYMBOL_CRC(ssam_device_type, 0xa61d70b2, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x731bfb77, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x56e5c3e7, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x61b5df53, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0xed372e20, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0x5660a7eb, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x1d3ce27c, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0xb35b0b68, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x1fc1a658, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0xd033c8c6, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0xe66b011e, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x392b73c7, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0xb4baf332, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x74bc7c1b, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0x9fe1b0cf, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0xd175fd75, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x8445471f, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x9ca4be2e, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x7580da57, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x01595912, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x14fb4c2a, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0xab7b1aba, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x2aee296b, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0xb46cb436, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x6aaaeb3a, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x503e377d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf14ff817, "wake_up_process" },
	{ 0x69a1eec2, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3440d50f, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x64b77e3a, "device_for_each_child_reverse" },
	{ 0xc9736df1, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5fc98f9e, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8489dd66, "init_srcu_struct" },
	{ 0x1495b825, "perf_trace_run_bpf_submit" },
	{ 0xd8303a6d, "devm_acpi_dev_add_driver_gpios" },
	{ 0x8862ce6c, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x6491c57c, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2a9bf87, "__srcu_read_lock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x31102588, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xde1a032d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdf401869, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x396b0ba1, "cleanup_srcu_struct" },
	{ 0xf476fb08, "sysfs_create_group" },
	{ 0x697f59c5, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8774aa6e, "serdev_device_wait_until_sent" },
	{ 0x615e5e5b, "__serdev_device_driver_register" },
	{ 0x871f0fcb, "bpf_trace_run1" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0xf40cc891, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb358130e, "kmem_cache_alloc_noprof" },
	{ 0x15a4a9e4, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6dc1a93d, "__kmem_cache_create_args" },
	{ 0x769b1fa8, "serdev_device_write_buf" },
	{ 0x668b19a1, "down_read" },
	{ 0x553feecd, "kthread_create_on_node" },
	{ 0xb1608729, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0411be6, "platform_device_register_full" },
	{ 0x81c6f07f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xce989cba, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc5173c41, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x48a70f9, "dev_err_probe" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x73b82b19, "device_link_add" },
	{ 0xfab4e546, "fwnode_irq_get" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xc5ae933e, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ff279b7, "__dev_fwnode" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0xf9f98102, "bus_register" },
	{ 0x675241d, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3222430, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x7508a1d4, "is_acpi_device_node" },
	{ 0xf9cbf782, "gpiod_put" },
	{ 0x46377933, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1852d5ca, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xe08c96b9, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe823cdea, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd718f607, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x90b9714a, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe0b0e47e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x38db4473, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x89c0b2f0, "device_initialize" },
	{ 0x2017f1e5, "serdev_device_set_flow_control" },
	{ 0xbd2fb9b0, "trace_event_raw_init" },
	{ 0x789979f8, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xed01aab4, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0x3d74ca7d, "fwnode_get_next_child_node" },
	{ 0xfc5d2a3b, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xae16ff9e, "synchronize_srcu" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0x7343c233, "serdev_device_set_parity" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "8F52398202C36736FCD8942");
