#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tpmi_get_platform_data, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_count, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_at_index, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_feature_status, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_debugfs_dir, "_gpl", "INTEL_TPMI");

SYMBOL_CRC(tpmi_get_platform_data, 0x351439b5, "_gpl");
SYMBOL_CRC(tpmi_get_resource_count, 0x0112621e, "_gpl");
SYMBOL_CRC(tpmi_get_resource_at_index, 0x3e74ce77, "_gpl");
SYMBOL_CRC(tpmi_get_feature_status, 0xd11c32ee, "_gpl");
SYMBOL_CRC(tpmi_get_debugfs_dir, 0x80ee4584, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6dce302, "intel_vsec_add_aux" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5be3ea6c, "auxiliary_driver_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9c9aa3b9, "parse_int_array_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb8ce1457, "debugfs_remove" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x662a44f3, "seq_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd3b500b9, "seq_write" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc5ccd9d5, "seq_printf" },
	{ 0xca7568bd, "debugfs_create_file_full" },
	{ 0x64d99ed7, "single_release" },
	{ 0x348294bc, "__auxiliary_driver_register" },
	{ 0x2261b3a3, "single_open" },
	{ 0x69fe49cc, "debugfs_create_dir" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x51eaace, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a3cca52, "seq_hex_dump" },
	{ 0x3f5e7c65, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "intel-vsec");

MODULE_ALIAS("auxiliary:intel_vsec.tpmi");

MODULE_INFO(srcversion, "260EB06E1D4779E22B30965");
