#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x837bc847, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0xa3df90f3, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0xa75fb119, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x37a80ce0, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x21df276d, "_gpl");
SYMBOL_CRC(tb_ring_start, 0xa0d61086, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x43bf6604, "_gpl");
SYMBOL_CRC(tb_ring_free, 0xb67ea3b6, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x904950ce, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x2d7d7412, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0xd77dd6e6, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0xcf7024c0, "_gpl");
SYMBOL_CRC(tb_service_type, 0x389ed905, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0xd6c13330, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0xeebb2628, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0xecf8ce2f, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x2c92a307, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x73259de0, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x27e4a988, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x0e29755b, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x7d24714b, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0xde257e5f, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x4011a3b0, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x0a1c17a7, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x213bf912, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x662a44f3, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaf05e8d6, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x296c8819, "pm_runtime_forbid" },
	{ 0xa781e190, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xcaa8e74b, "pm_runtime_allow" },
	{ 0x81c6f07f, "trace_event_buffer_reserve" },
	{ 0xfe2ff628, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbbb6fee9, "acpi_fetch_acpi_dev" },
	{ 0xff1e5284, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0xd3b500b9, "seq_write" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5ccd9d5, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xad599931, "kobject_uevent" },
	{ 0xca7568bd, "debugfs_create_file_full" },
	{ 0x9a806310, "device_iommu_capable" },
	{ 0x64d99ed7, "single_release" },
	{ 0x18229c30, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8b16fb24, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x48a70f9, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x76f72ded, "nvmem_register" },
	{ 0x2839295f, "__pm_runtime_suspend" },
	{ 0x13b80b9c, "component_add" },
	{ 0x754d539c, "strlen" },
	{ 0xd7c7b8b3, "__pm_runtime_use_autosuspend" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2261b3a3, "single_open" },
	{ 0x80029181, "pcim_enable_device" },
	{ 0x7ada1a50, "__pm_runtime_disable" },
	{ 0xbcc94d14, "crypto_alloc_shash" },
	{ 0x69fe49cc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x73b82b19, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc5ae933e, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x5568a5c8, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ff279b7, "__dev_fwnode" },
	{ 0xddd6f639, "pci_bus_type" },
	{ 0x98741b61, "pci_write_config_dword" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0xf9f98102, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9de4d77, "pci_find_ext_capability" },
	{ 0x7508a1d4, "is_acpi_device_node" },
	{ 0x46377933, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdc1e8967, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb97c856c, "devm_request_threaded_irq" },
	{ 0x8b6cb4a4, "param_ops_uint" },
	{ 0xb7a08e3e, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb4147b52, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xe08c96b9, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xf3bc9a9d, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd718f607, "trace_raw_output_prep" },
	{ 0x90b9714a, "device_unregister" },
	{ 0xd6d1403f, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe0b0e47e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x59aa068d, "nvmem_unregister" },
	{ 0x38db4473, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9956899f, "__pci_register_driver" },
	{ 0x89c0b2f0, "device_initialize" },
	{ 0xbd2fb9b0, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdcf5cc3f, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0x3f5e7c65, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xf444cdb4, "acpi_find_child_by_adr" },
	{ 0x41332920, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdc531616, "pci_irq_vector" },
	{ 0xc91314, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x69c03c00, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x71a8ddb7, "dev_driver_string" },
	{ 0x69a1eec2, "trace_event_buffer_commit" },
	{ 0x3660cd70, "crypto_destroy_tfm" },
	{ 0x5a770999, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4bd670da, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2269336c, "pm_wakeup_dev_event" },
	{ 0x6f43c5b6, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x65e7e833, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe87c5644, "debugfs_lookup_and_remove" },
	{ 0x3440d50f, "put_device" },
	{ 0xcb27d1bb, "devm_free_irq" },
	{ 0x76f741cb, "pm_runtime_enable" },
	{ 0x64b77e3a, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0xca513856, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xba965db2, "bus_for_each_dev" },
	{ 0xc9736df1, "_dev_info" },
	{ 0x976247cb, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x285cd9a4, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1495b825, "perf_trace_run_bpf_submit" },
	{ 0x8862ce6c, "bus_unregister" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0x49882bee, "device_wakeup_enable" },
	{ 0x4f2b4ddf, "crypto_shash_setkey" },
	{ 0xe743c28e, "bus_find_device" },
	{ 0x6491c57c, "device_add" },
	{ 0xde017327, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x66d36e65, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xbfc065ff, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcd9f5b52, "pci_device_is_present" },
	{ 0xfbc6dd55, "dma_alloc_attrs" },
	{ 0xb8ce1457, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9e81e32d, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xde1a032d, "trace_event_reg" },
	{ 0xd5ddb567, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0xdf401869, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3b42eb9d, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e176889, "pcim_iomap_region" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xffe48170, "device_register" },
	{ 0x6a4f5431, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x5537848a, "unregister_acpi_bus_type" },
	{ 0x788210b9, "acpi_get_first_physical_node" },
	{ 0x1863b0a9, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x20e05148, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "C656B6EE90312FB8E300919");
