#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_register_bpf, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x30fe7580, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xd35b5a66, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xf7f98fc2, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xa42c53da, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xbde35ee6, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x8cd43d34, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0xaad23839, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x50f95dc4, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xc0d64578, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xa1c2c3e9, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xb192b289, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x28bbd9a3, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xa0b2a5fd, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x773f0fe5, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x6fae0f20, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x6464ad8e, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x8c85295e, "_gpl");
SYMBOL_CRC(nf_flow_register_bpf, 0x098f9d9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xcd2cacab, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7f32c8ef, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x623d5022, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x195b5bd1, "flow_indr_dev_setup_offload" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xbe0ebeb6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5ed4dc10, "__pskb_pull_tail" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x9db70940, "register_btf_kfunc_id_set" },
	{ 0x668b19a1, "down_read" },
	{ 0x5341a897, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15cdac5d, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1292fd00, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6c2262b3, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd40e647, "inet_proto_csum_replace4" },
	{ 0xd3b500b9, "seq_write" },
	{ 0xc2ef1d43, "remove_proc_entry" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x2c3549e6, "nf_ct_acct_add" },
	{ 0xc5ccd9d5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xeef78dd0, "dst_release" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xe3f7bf5d, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xc42acbbc, "flow_rule_alloc" },
	{ 0xe24138c2, "ip6_dst_check" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe54bf0a4, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9a617897, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4ecb9161, "neigh_xmit" },
	{ 0x1f8cd741, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x52f93bf7, "ip6_output" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xc1432207, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc6bea778, "pskb_expand_head" },
	{ 0x2ec924f, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "02306C95487171146872EAB");
