#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync_per_card, "_gpl", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0xdd281a0a, "");
SYMBOL_CRC(snd_pcm_new, 0x5fb846cb, "");
SYMBOL_CRC(snd_pcm_new_internal, 0xd1f783e3, "");
SYMBOL_CRC(snd_pcm_notify, 0xba80a72f, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x648c60a7, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0xdf6ee3c0, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0xa5eccfb9, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0xd0955eb0, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x941ce19f, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0xa34b393c, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0xdcd6626d, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xec30bc16, "");
SYMBOL_CRC(snd_pcm_stop, 0x110d888c, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x69d4cb69, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x3f6f77cf, "");
SYMBOL_CRC(snd_pcm_release_substream, 0xa3a68c7b, "");
SYMBOL_CRC(snd_pcm_open_substream, 0xc6e62ff0, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xce27a5bb, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x7ea2e38c, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0xb9419312, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0xe1a6d760, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x8fed7b8f, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x8a4067ee, "");
SYMBOL_CRC(snd_pcm_set_sync_per_card, 0xedfb4183, "_gpl");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xa4c78d74, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x2169b46f, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0x8f34c01b, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0xa403cd54, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x172133b3, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0xbe65abf6, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0xf4a7cc45, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0xd6f53b1c, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x4a06cb37, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x00c643c1, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x973f9323, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0xb3e6c8f6, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x195b710c, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x77bd191e, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x42b22246, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x85471576, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x0f8506b6, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0xe385f704, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x6305260b, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0xaf3bea4b, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0x30747ea5, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x12b00994, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x52b3f44b, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0xde9688a5, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x1bc72317, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0xc4495e02, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0xf89e91dd, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x21bf14e8, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x3e30a0e9, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0xdf9b8af7, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x3162db59, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0xb366fcd0, "");
SYMBOL_CRC(snd_dma_free_pages, 0x736b8954, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x1bc9b5a0, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x7bbb3bf8, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x9ed074ff, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0xe147158b, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xe82ecbe6, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x45a787b5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x871f0fcb, "bpf_trace_run1" },
	{ 0x8ba16ed8, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x85948831, "snd_device_new" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x696b28ad, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1bc643a0, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x37996386, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcb7c239d, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x39d392d7, "dma_alloc_noncontiguous" },
	{ 0x7230beea, "fdget" },
	{ 0x993c0ade, "dma_mmap_noncontiguous" },
	{ 0xa781e190, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x81c6f07f, "trace_event_buffer_reserve" },
	{ 0xb7632ff1, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa9170bfa, "__dma_sync_single_for_device" },
	{ 0x949e6d69, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x989e1d90, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5ccd9d5, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xa07daba6, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x743b51ea, "snd_info_create_card_entry" },
	{ 0xd5151f43, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x8887025a, "snd_power_wait" },
	{ 0x38194a3e, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb915db89, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x321f386b, "pid_vnr" },
	{ 0x1852bfe1, "snd_device_free" },
	{ 0xd35fb954, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x63c8ef4b, "dma_unmap_sg_attrs" },
	{ 0xea124bd1, "gcd" },
	{ 0xe8144a2b, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0x1ecdafc8, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8469b44a, "snd_device_register" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x5c7b074d, "snd_register_device" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5564daec, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x1c083a65, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc72d9a83, "dma_can_mmap" },
	{ 0xa9c852a0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6f8ee2d1, "_copy_to_iter" },
	{ 0xd44f325d, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe2d61081, "snd_info_create_module_entry" },
	{ 0xdf616c7a, "snd_ctl_unregister_ioctl_compat" },
	{ 0xe689d371, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xe08c96b9, "dev_set_name" },
	{ 0x1bd8b4b1, "snd_ctl_add" },
	{ 0xcf617257, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd718f607, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x2b0fc972, "snd_timer_notify" },
	{ 0xad934a89, "snd_ctl_get_preferred_subdevice" },
	{ 0xecab2ad8, "dma_vunmap_noncontiguous" },
	{ 0xe0b0e47e, "__trace_trigger_soft_disabled" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0xa373b44c, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x253fa4a3, "dma_unmap_page_attrs" },
	{ 0xe6e89d00, "dma_mmap_pages" },
	{ 0x38db4473, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x485ae99c, "__dma_need_sync" },
	{ 0xcd26764, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf0ded347, "snd_timer_interrupt" },
	{ 0xc7df4cb0, "snd_info_free_entry" },
	{ 0xbd2fb9b0, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x999ea0c9, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0x9a85a0a3, "pcpu_hot" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xfc5d2a3b, "bpf_trace_run2" },
	{ 0xfc2b79c6, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc9303ec2, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0x76e0bac3, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xada9b27f, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x71a8ddb7, "dev_driver_string" },
	{ 0x69a1eec2, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf672d45f, "dma_map_page_attrs" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x9eb86a97, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1bf60d5b, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3440d50f, "put_device" },
	{ 0x64b92c1a, "snd_ctl_register_ioctl" },
	{ 0xa6a636ee, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xca513856, "const_pcpu_hot" },
	{ 0xca293b2a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xde301dda, "__dma_sync_single_for_cpu" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1495b825, "perf_trace_run_bpf_submit" },
	{ 0x6535117e, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x1ab279bb, "dma_vmap_noncontiguous" },
	{ 0x81aba550, "__dma_sync_sg_for_device" },
	{ 0xbfc065ff, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfbc6dd55, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x495d1b09, "__devres_alloc_node" },
	{ 0xde1a032d, "trace_event_reg" },
	{ 0x1fc59657, "__dma_sync_sg_for_cpu" },
	{ 0xec953f08, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8c09fca, "vmap" },
	{ 0x7399e58a, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x484f2ff7, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x881fba51, "snd_timer_new" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "8C0AE1BBBB645069FCD739E");
