#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x4b4ac9b5, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xb03a79c2, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x9d57b9e8, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xc978ff09, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x9eeb72cb, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xde60b4f4, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x2abff9e7, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xe4f101ab, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x7a040c22, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x8f6b00e1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc8fbf70, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x28d969a5, "devm_gpiod_get_optional" },
	{ 0x7ba21101, "wm_adsp_stop" },
	{ 0x705ebcfe, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x975b31fb, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4bd670da, "__pm_runtime_set_status" },
	{ 0x9cf852a6, "devm_snd_soc_register_component" },
	{ 0x215cec42, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xecd4ff6e, "sdw_write_no_pm" },
	{ 0xcb27d1bb, "devm_free_irq" },
	{ 0x76f741cb, "pm_runtime_enable" },
	{ 0xc9e9d680, "fwnode_gpiod_get_index" },
	{ 0x3d3e5a8b, "regulator_bulk_disable" },
	{ 0xc9736df1, "_dev_info" },
	{ 0x7495ba9f, "acpi_dev_remove_driver_gpios" },
	{ 0xf3e0e7eb, "snd_soc_info_volsw" },
	{ 0x683b6ea8, "cs35l56_init_cs_dsp" },
	{ 0x13dce08c, "wm_adsp_power_down" },
	{ 0x5e7004e4, "_dev_err" },
	{ 0xed85e529, "debugfs_create_bool" },
	{ 0xf449dec9, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x261d6a79, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x96d7a351, "cs35l56_runtime_suspend_common" },
	{ 0x683c8b46, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4411c95, "cs35l56_mbox_send" },
	{ 0xb74ed850, "cs35l56_hw_init" },
	{ 0x4b0bc584, "_dev_warn" },
	{ 0x4a18433f, "wm_adsp2_component_probe" },
	{ 0xa2c4177a, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x60140b6e, "cs35l56_system_reset" },
	{ 0x37c90750, "snd_soc_info_enum_double" },
	{ 0xeb2971e4, "regulator_bulk_enable" },
	{ 0xd741a2bc, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xcf8bfedd, "wm_adsp2_component_remove" },
	{ 0xd9bac152, "cs35l56_wait_for_firmware_boot" },
	{ 0xe7ca7180, "devm_kasprintf" },
	{ 0xb0a9e756, "snd_soc_get_volsw" },
	{ 0x10ed818a, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x58e8d686, "fwnode_property_present" },
	{ 0x9e6a908f, "cs35l56_is_fw_reload_needed" },
	{ 0x209bc8e2, "regmap_read" },
	{ 0xa96d8c8d, "snd_soc_put_volsw" },
	{ 0xfe2ff628, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe296b779, "cs_amp_write_cal_coeffs" },
	{ 0x8b5997f1, "device_get_named_child_node" },
	{ 0x25075a97, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb95d24db, "sdw_stream_remove_slave" },
	{ 0xded3c020, "cs35l56_runtime_resume_common" },
	{ 0xc3c43fd1, "dapm_regulator_event" },
	{ 0xce48b069, "cs35l56_get_speaker_id" },
	{ 0x9ec086b7, "wm_adsp_run" },
	{ 0xf35548cd, "regmap_update_bits_base" },
	{ 0xdcd94789, "acpi_dev_get_property" },
	{ 0x48a70f9, "dev_err_probe" },
	{ 0x2839295f, "__pm_runtime_suspend" },
	{ 0x1d4878b, "cs35l56_fill_supply_names" },
	{ 0x649c88e0, "__devm_add_action" },
	{ 0xba059800, "snd_soc_dapm_get_enum_double" },
	{ 0xd7c7b8b3, "__pm_runtime_use_autosuspend" },
	{ 0x5d755037, "wm_halo_init" },
	{ 0x7ada1a50, "__pm_runtime_disable" },
	{ 0xbbc5db3d, "cs35l56_firmware_shutdown" },
	{ 0x9b5fd3a7, "sdw_stream_add_slave" },
	{ 0xa098ef71, "pm_runtime_force_suspend" },
	{ 0x4c4c69df, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x7085870, "snd_soc_dapm_put_enum_double" },
	{ 0x93be0c29, "gpiod_get_value_cansleep" },
	{ 0x40f90f6b, "regcache_cache_only" },
	{ 0x7508a1d4, "is_acpi_device_node" },
	{ 0xf9cbf782, "gpiod_put" },
	{ 0x172ce50f, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc8fca00b, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd6d1403f, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8c24a65, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa8915af8, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd239ac67, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "EEBDB0229DE20B172F9D064");
